cloud-init (26.1-0ubuntu1~25.10.1) questing; urgency=medium

  * d/p/0001-Revert-fix-DNS-resolution-performance-regression-dur.patch revert Ec2 URL change
  * d/p/0001-Revert-fix-support-bond-names-in-network_data.patch
    revert breaking change in upstream commit 4a48e4be.
  * d/rules: use meson flag -Ddownstream_version to set packaged version
  * Upstream snapshot based on upstream/main at 26c7d38d.
  * Upstream snapshot based on upstream/main at 72809f80.
  * Upstream snapshot based on 26.1. (LP: #2146833).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/26.1/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Mon, 30 Mar 2026 12:51:45 -0600

cloud-init (25.3-0ubuntu1~25.10.1) questing; urgency=medium

  * d/p/deprecation-version-boundary.patch: Pin deprecation version to 25.3
  * Upstream snapshot based on 25.3. (LP: #2131604).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.3/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Thu, 11 Dec 2025 11:36:31 -0700

cloud-init (25.3~2g890873f5-0ubuntu3) questing; urgency=medium

  * d/cloud-init-base.config: update migrate_debconf_settings to
    set an empty cloud-init/datasources value once it migrates the value to
    cloud-init-base/datasources. (LP: #2127022)
  * d/cloud-init-base.postinst: fix release upgrade affecting the set of
    multi-line debconf value cloud-init/local-cloud-config used by MAAS.
    (LP: #2127022)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 27 Oct 2025 13:48:39 -0600

cloud-init (25.3~2g890873f5-0ubuntu2) questing; urgency=medium

  * d/control: add all missing python3 package runtime deps (LP: #2121482)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 27 Aug 2025 15:15:40 -0600

cloud-init (25.3~2g890873f5-0ubuntu1) questing; urgency=medium

  * d/control: add jinja2 and jsonpatch dependencies (LP: #2121482)

 -- Brett Holman <brett.holman@canonical.com>  Wed, 27 Aug 2025 09:01:05 -0600

cloud-init (25.3~1g890873f5-0ubuntu1) questing; urgency=medium

  * d/control:
    - ensure binary packages depend on same version of cloud-init-base.
    - update build-dependencies to support meson instead of setuptools
      (LP: #1978328) (GH-5027)
  * d/rules:
    - use meson build backend instead of pybuild setuptools
      (LP: #1978328) (GH-5027)
  * Upstream snapshot based on upstream/main at 890873f5.
    - Bugs fixed in this snapshot: (LP: #1978328)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 22 Aug 2025 22:07:56 -0600

cloud-init (25.2-0ubuntu1) questing; urgency=medium

  * Upstream snapshot based on 25.2.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.2/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Tue, 12 Aug 2025 14:11:35 -0500

cloud-init (25.2~5g009c4cfd-0ubuntu1) questing; urgency=medium

  * Upstream snapshot based on upstream/main at 009c4cfd.
    - Bugs fixed in this snapshot:
      + fix: disable cloud-init when non-x86 environments have no DMI-data
        and no strict datasources detected (LP: #2069607) (CVE-2024-6174)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 24 Jun 2025 14:58:26 -0600

cloud-init (25.2~4geb9c1239-0ubuntu2) questing; urgency=medium

  * d/changelog: correct switched CVE references in prior release changelog
    entry for 25.2~4geb9c1239-0ubuntu1 

 -- Chad Smith <chad.smith@canonical.com>  Tue, 24 Jun 2025 10:11:34 -0600

cloud-init (25.2~4geb9c1239-0ubuntu1) questing; urgency=medium

  * d/cloud-init-base.postinst: move existing hotplug-cmd fifo to root-only
    share dir (CVE-2024-11584)
  * Upstream snapshot based on upstream/main at eb9c1239.
    - Bugs fixed in this snapshot: (LP: #2069607)
    - security: make hotplug socket only writable by root (CVE-2024-11584)
    - security: make ds-identify behavior strict datasource discovery on
      non-x86 platforms without DMI data (LP: #2069607) (CVE-2024-6174)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 12 Jun 2025 13:24:29 -0600

cloud-init (25.2~3gf731cdf3-0ubuntu1) questing; urgency=medium

  * Upstream snapshot based on upstream/main at f731cdf3.

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Jun 2025 14:05:17 -0600

cloud-init (25.2~2ge2bef781-0ubuntu1) questing; urgency=medium

  * Upstream snapshot based on upstream/main at e2bef781.
    - Bugs fixed in this snapshot: (LP: #2100232)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 12 May 2025 17:46:37 -0600

cloud-init (25.2~1g7a0265d3-0ubuntu1) questing; urgency=medium

  * d/control: add Azure metapackage
    + New Azure binary package depending on cloud-init-base and
      python3-passlib.
  * d/cloud-init-base.preinst: avoid sed of /etc/fstab when absent
  * Upstream snapshot based on upstream/main at 7a0265d3.
    - Bugs fixed in this snapshot: (LP: #2106671)

 -- James Falcon <james.falcon@canonical.com>  Thu, 17 Apr 2025 13:27:07 -0500

cloud-init (25.1.1-0ubuntu2) plucky; urgency=medium

  * d/control: Fix how cloud-init-base overwrites cloud-init files.
    (LP: #2092333)
  * d/cloud-init-base.postinst: don't version-gate the migration from using
    cloud-init-base debconf values over cloud-init.

 -- James Falcon <james.falcon@canonical.com>  Tue, 01 Apr 2025 13:33:57 -0500

cloud-init (25.1.1-0ubuntu1) plucky; urgency=medium

  * Upstream bug fix release based on upstream bugfix 25.1.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1.1/ChangeLog
  * d/patches: remove all cpick* quilt patches due to upstream snapshot

 -- James Falcon <james.falcon@canonical.com>  Mon, 24 Mar 2025 15:02:52 -0500

cloud-init (25.1-0ubuntu3) plucky; urgency=medium

  * cherry-pick fixes for MAAS traceback (LP: #2100963)
    - cherry-pick c60771d8: test: pytestify test_url_helper.py
    - cherry-pick 8810a2dc: test: Remove CiTestCase from
      test_url_helper.py
    - cherry-pick 582f16c1: test: add OauthUrlHelper tests
    - cherry-pick 9311e066: fix: Update OauthUrlHelper to use readurl
      exception_cb 

 -- James Falcon <james.falcon@canonical.com>  Thu, 13 Mar 2025 15:47:53 -0500

cloud-init (25.1-0ubuntu2) plucky; urgency=medium

  * d/control: add python3-passlib dependency to cloud-init
    metapackage. (LP: #2098988)

 -- James Falcon <james.falcon@canonical.com>  Tue, 25 Feb 2025 08:16:55 -0600

cloud-init (25.1-0ubuntu1) plucky; urgency=medium

  * Upstream snapshot based on 25.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Thu, 20 Feb 2025 14:32:56 -0600

cloud-init (25.1~3geb1965a4-0ubuntu1) plucky; urgency=medium

  * Upstream snapshot based on upstream/main at eb1965a4.

 -- James Falcon <james.falcon@canonical.com>  Wed, 05 Feb 2025 10:20:41 -0600

cloud-init (25.1~2g4ee65391-0ubuntu1) plucky; urgency=medium

  * d/cloud-init-base.templates: Move VMware before OVF
    See GH-4030 and LP: #1992509
  * d/cloud-init-base.lintian-overrides: Update lintian
    warnings to use /usr/lib rather than /lib
  * Upstream snapshot based on upstream/main at 4ee65391.
    - Bugs fixed in this snapshot: 
      (LP: #2094179, #2094208, #2094857, #2094858) 

 -- James Falcon <james.falcon@canonical.com>  Tue, 14 Jan 2025 14:10:49 -0600

cloud-init (24.4-0ubuntu1) plucky; urgency=medium

  * debian: Rename cloud-init to cloud-init-base
    + Add infrastructure to be able to express cloud-specific cloud-init
      binary packages.
    + Keep a cloud-init metapackage to install every possible dependency and
      be able to operate on any platform
    + Add `Breaks:` and `Replaces:` dependency with
      cloud-init <= 24.4~2g2e4c39b7-0ubuntu1
      to adopt and own files from cloud-init in cloud-init-base.
  * d/cloud-init-base.{config,postinst}:
    + Handle migration of debconf values migrating cloud-init/* values to
      cloud-init-base/*.
  * d/control: add cloud-sigma and smart-os packages
    + Add cloud-init-cloud-sigma and cloud-init-smart-os binary packages
    depending on cloud-init-base and python3-serial.
    + Removes python3-serial from cloud-init-base and add it to cloud-init.
  * d/cloud-init-base.templates:
    + Add warning about image portability to dpkg-reconfigure.
  * d/NEWS: add news about cloud-specific packages
  * d/po/templates.pot and cloud-init.templates: enable CloudCIX by default.
  * d/cloud-init-base.{config,postinst}:
    + Drop noop clean-up of cloud-init/* debconf values
  * Upstream snapshot based on 24.4.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4/ChangeLog
    - Bugs fixed in this snapshot: (LP: #1992853)

 -- James Falcon <james.falcon@canonical.com>  Mon, 25 Nov 2024 10:42:33 -0600

cloud-init (24.4~3+really24.3.1-0ubuntu4) oracular; urgency=medium

  * Bug fix release (LP: #2081124):
    d/p/cpick-hotplugd-systemd-ordering-fix.patch: fix systemd ordering cycle
    issues with network cloud-init-hotplugd.socket, NetworkManager and
    dbus.socket by adding DefaultDependencies=no to cloud-init-hotplugd.socket.

 -- Chad Smith <chad.smith@canonical.com>  Fri, 20 Sep 2024 15:31:13 -0600

cloud-init (24.4~3+really24.3.1-0ubuntu3) oracular; urgency=medium

  * Bug fix release (LP: #2080688):
    d/p/cpick-nocloudnet-seedfrom-sysconfig-fix.patch fix NoCloudNet
    detection when seedfrom config provided in /etc/cloud/cloud.cfg/*.cfg

 -- Chad Smith <chad.smith@canonical.com>  Fri, 13 Sep 2024 14:44:45 -0600

cloud-init (24.4~3+really24.3.1-0ubuntu2) oracular; urgency=medium

  * d/cloud-init.postinst: fix MAAS preseed provisioning by replacing
    handle_preseed_maas and handle_preseed_local_cloud_config functions
    which were removed in commit cf13fd126 (GH-5685)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 10 Sep 2024 13:41:14 -0600

cloud-init (24.4~3+really24.3.1-0ubuntu1) oracular; urgency=medium

  * d/cloud-init.lintian-overrides:
    + Remove alien disabled tag:
      alien-tag package-supports-alternative-init-but-no-init.d-script
  * Upstream snapshot based on 24.3.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.3.1/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Wed, 04 Sep 2024 15:55:20 -0600

cloud-init (24.4~2g2e4c39b7-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 2e4c39b7.

 -- Chad Smith <chad.smith@canonical.com>  Thu, 15 Aug 2024 10:10:28 -0600

cloud-init (24.4~1gedd92b71-0ubuntu1) oracular; urgency=medium

  * Add netcat dependency
  * Upstream snapshot based on edd92b71.

 -- Chad Smith <chad.smith@canonical.com>  Tue, 13 Aug 2024 06:38:07 -0600

cloud-init (24.3~1g6e4153b3-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 6e4153b3.
    - Bugs fixed in this snapshot: (LP: #2065787)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Fri, 19 Jul 2024 17:09:53 +0200

cloud-init (24.2~5g8c396a4b-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 8c396a4b.

 -- Chad Smith <chad.smith@canonical.com>  Wed, 26 Jun 2024 12:30:42 -0600

cloud-init (24.2~4g5f40426f-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 5f40426f.
    - Bugs fixed in this snapshot: (LP: #2066985)
      The fix for this bug in the previous release was only a
      partial fix.

 -- James Falcon <james.falcon@canonical.com>  Wed, 05 Jun 2024 12:52:40 -0500

cloud-init (24.2~3ge68c8c74-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at e68c8c74.
    - Bugs fixed in this snapshot: (LP: #2066979, #2066985)

 -- James Falcon <james.falcon@canonical.com>  Fri, 24 May 2024 12:08:51 -0500

cloud-init (24.2~2g51c6569f-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 51c6569f.
    - Bugs fixed in this snapshot: (LP: #2064132)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 May 2024 15:34:25 -0600

cloud-init (24.2~1g370e680c-0ubuntu1) oracular; urgency=medium

  * d/control: Remove netifaces
  * Upstream snapshot based on upstream/main at 370e680c.
    - Bugs fixed in this snapshot: (LP: #2047796, #2064132)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 May 2024 10:50:46 -0600

cloud-init (24.1.3-0ubuntu3) noble; urgency=medium

  * cherry-pick 516fad6d: fix(url_helper): fix TCP connection leak on
    readurl() retries

 -- Brett Holman <brett.holman@canonical.com>  Fri, 05 Apr 2024 17:18:48 -0600

cloud-init (24.1.3-0ubuntu2) noble; urgency=medium

  * Upstream bug fix release based on 24.1.4.
    + functional fixes in debian/patches:
      - cpick-f74b61ea-ephemeral-dhcpcd-Set-dhcpcd-interface-down
        When dhcpcd client sets up a device to discover IMDS, ensure
        link is set back down to avoid interface rename failures (GH-5019)
      - cpick-372e80f8-net-dhcp-bump-dhcpcd-timeout-to-300s-5127
        Extend default timeout of dhcpcd command to 300 seconds
      - cpick-77771023-net-dhcp-raise-InvalidDHCPLeaseFileError-on-error
        Raise any dhcpcd lease parse failures as InvalidDHCPLeaseFileError
        (GH-5128)
      - cpick-f6ac6ee8-fix-dhcpcd-Make-lease-parsing-more-robust-5129
        Avoid tracebacks on empty invalid lease content from dhcpcd
        and raise InvalidDHCPLeaseFileError with full lease parsed when errors
        occur. (GH-5128)
    + test fixes in debian/patches:
      - d/p/cpick-accdfe6a-refactor-Import-log-module-rather-than-functions-5074
        Avoid mock failures in unit tests by module-level import of log
      - cpick-144782a8-test-Remove-side-effects-from-tests-5074

 -- Chad Smith <chad.smith@canonical.com>  Wed, 03 Apr 2024 12:26:52 -0600

cloud-init (24.1.3-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on 24.1.3.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.1.3/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Wed, 27 Mar 2024 08:27:29 -0500

cloud-init (24.1.2-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on 24.1.2.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.1.2/ChangeLog
    - Bugs fixed in this snapshot: (LP: #2057763)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 21 Mar 2024 07:53:15 -0600

cloud-init (24.1.1-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on 24.1.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.1.1/ChangeLog
    - Bugs fixed in this snapshot: (LP: #2056439, #2056460, #2055077)
      (LP: #2056194)

 -- Brett Holman <brett.holman@canonical.com>  Mon, 11 Mar 2024 21:09:37 -0600

cloud-init (24.1-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on 24.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.1/ChangeLog

 -- Brett Holman <brett.holman@canonical.com>  Thu, 29 Feb 2024 19:57:05 -0700

cloud-init (24.1~7g54599148-0ubuntu1) noble; urgency=medium

  * d/cloud-init.templates: enable WSL datasource by default.
  * Restore upstream ChangeLog without any merges.
    We have been merging an upstream ChangeLog spelling difference
    downstream for no good reason.
  * Upstream snapshot based on upstream/main at 54599148.
    - Bugs fixed in this snapshot: (LP: #2055081, #2055219)

 -- James Falcon <james.falcon@canonical.com>  Tue, 27 Feb 2024 17:42:55 -0600

cloud-init (24.1~6ga4140119-0ubuntu1) noble; urgency=medium

  * d/control: Replace isc-dhcp-client with dhcpcd-base
  * d/p/do-not-block-user-login.patch:
    - Remove patch, snapd no longer blocks ssh
  * d/s/: Move apport hook to main branch
  * d/cloud-init.postinst: change priority of hotplug rules.
    Avoids LP #1946003 on upgraded systems. References:
    [0] https://github.com/canonical/cloud-init/pull/4799
    [1] commit/b519d861aff8b44a0610c176cb34adcbe28df144
  * Upstream snapshot based on upstream/main at a4140119.

 -- Brett Holman <brett.holman@canonical.com>  Fri, 16 Feb 2024 08:18:39 -0500

cloud-init (24.1~5g1f6eddd5-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on upstream/main at 1f6eddd5.
    - Bugs fixed in this snapshot: (LP: #2046483)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 02 Feb 2024 14:39:53 -0700

cloud-init (24.1~4gd9677655-0ubuntu1) noble; urgency=medium

  * d/cloud-init.maintscript: remove /etc/cloud/clean.d/README
  * d/cloud-init.logrotate: add logrotate config for cloud-init
  * Upstream snapshot based on upstream/main at d9677655.
    - Bugs fixed in this snapshot: (LP: #2051147)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Wed, 24 Jan 2024 18:45:19 +0100

cloud-init (24.1~3gb729a4c4-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on upstream/main at b729a4c4.

 -- Chad Smith <chad.smith@canonical.com>  Tue, 09 Jan 2024 15:38:50 -0700

cloud-init (24.1~2gb6a1c635-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on upstream/main at b6a1c635.
    - Bugs fixed in this snapshot: (LP: #2045086, #1951639)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Thu, 04 Jan 2024 10:16:55 +0100

cloud-init (24.1~1g1003d438-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on upstream/main at 1003d438.
    - Bugs fixed in this snapshot: (LP: #2040325)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Fri, 15 Dec 2023 11:34:16 +0100

cloud-init (23.4-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on 23.4.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.4/ChangeLog

 -- Alberto Contreras <alberto.contreras@canonical.com>  Mon, 04 Dec 2023 18:51:25 +0100

cloud-init (23.4~3g0cb0b80f-0ubuntu1) noble; urgency=medium

  * d/p/do-not-block-user-login.patch:
    - Revert behavior, allow user login after cloud-init stage (LP: #2039505)
  * d/control: add python3-apt as Recommends to read APT config from apt_pkg
  * drop the following cherry-picks now included:
    + d/p/cpick-0d9f149a-Pytestify-apt-config-test-modules-4424
    + d/p/cpick-5023e9f9-Refactor-test_apt_source_v1.py-to-use-pytest-4427
    + d/p/cpick-e9cdd7e3-Install-gnupg-if-gpg-not-found-4431
    + d/p/cpick-015543d3-apt-install-software-properties-common-when-absent-but
  * Upstream snapshot based on upstream/main at 0cb0b80f.
    - Bugs fixed in this snapshot: (LP: #2034273, #2030729)
      (LP: #2038945, #2039453)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 08 Nov 2023 22:24:09 -0700

cloud-init (23.3.1-0ubuntu2) mantic; urgency=medium

  * New upstream bug fix release based on 23.3.1.
    + Install missing dependencies in apt module if required for minimal images.
      - d/p/cpick-0d9f149a-Pytestify-apt-config-test-modules-4424
      - d/p/cpick-5023e9f9-Refactor-test_apt_source_v1.py-to-use-pytest-4427
      - d/p/cpick-e9cdd7e3-Install-gnupg-if-gpg-not-found-4431
      - d/p/cpick-015543d3-apt-install-software-properties-common-when-absent-but

 -- Brett Holman <brett.holman@canonical.com>  Thu, 28 Sep 2023 12:00:23 -0500

cloud-init (23.3.1-0ubuntu1) mantic; urgency=medium

  * New upstream bug fix release based on 23.3.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.3.1/ChangeLog
    - Bugs fixed in this snapshot: (LP: #2034273)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 05 Sep 2023 17:03:59 -0600

cloud-init (23.3-0ubuntu1) mantic; urgency=medium

  * d/po/templates.pot: refresh with debconf-updatepo
  * d/cloud-init.templates: enable Akamai by default.
    Add Akamai to the default templates to allow datasource discovery.
  * Upstream snapshot based on 23.3.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.3/ChangeLog
    - Bugs fixed in this snapshot: (LP: #2030788, #1980150, #1884127)
      (LP: #1998539)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 28 Aug 2023 12:33:17 -0600

cloud-init (23.3~4ga31370af-0ubuntu1) mantic; urgency=medium

  * Upstream snapshot based on upstream/main at a31370af.
    - Bugs fixed in this snapshot: (LP: #1923363, #2028562, #2028784)
  * d/cloud-init.maintscript: Remove the unused hook-network-manager
    conffile. (LP: #2027861)
  * d/control: Add python3-passlib as needed for testing

 -- James Falcon <james.falcon@canonical.com>  Mon, 31 Jul 2023 11:38:42 -0500

cloud-init (23.3~3gebd7b2b6-0ubuntu1) mantic; urgency=medium

  * Upstream snapshot based on upstream/main at ebd7b2b6.

 -- Alberto Contreras <alberto.contreras@canonical.com>  Tue, 18 Jul 2023 17:37:07 +0200

cloud-init (23.3~2gcf474da7-0ubuntu1) mantic; urgency=medium

  * Upstream snapshot based on upstream/main at cf474da7.
    - Bugs fixed in this snapshot: (LP: #2013403)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Tue, 11 Jul 2023 10:22:04 +0200

cloud-init (23.3~1ge5a617fe-0ubuntu1) mantic; urgency=medium

  * Upstream snapshot based on upstream/main at e5a617fe.
    - Bugs fixed in this snapshot: (LP: #2025180, #2025180, #1999952)
      (LP: #1798055)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Jun 2023 09:57:55 -0600

cloud-init (23.2-0ubuntu1) mantic; urgency=medium

  * d/control: Remove pep8 dependency. It is no longer used.
  * Upstream snapshot based on 23.2.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.2/ChangeLog
    - Bugs fixed in this snapshot: (LP: #2011783, #2008888, #1854594, #2016350)
      (LP: #1881925, #2013967, #2011291)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Wed, 24 May 2023 19:06:03 +0200

cloud-init (23.1.1-0ubuntu2) lunar; urgency=medium

  * d/apport-general-hook.py: Add general apport hook to append cloud type,
    image and instance size information to bug reports (LP: #1724623)
  * d/cloud-init.postinst: MAAS prefer yaml.safe_load over yaml.load
    (LP: #2009746)
  * d/cloud-init.preinst: Oracle to remove vestigial /etc/cloud.cloud.cfg.d/
    99-disable-network-config.cfg because system config is now honored before
    datasource config (LP: #1956788)
  * Upstream snapshot based on upstream/main at 85b2fbc2.
    - Bugs fixed in this snapshot: (LP: #1956788)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 21 Mar 2023 14:43:55 -0600

cloud-init (23.1.1-0ubuntu1) lunar; urgency=medium

  * Upstream snapshot based on main at 4896402b.

 -- James Falcon <james.falcon@canonical.com>  Thu, 02 Mar 2023 16:46:05 -0600

cloud-init (23.1-0ubuntu2) lunar; urgency=medium

  * Upstream snapshot based on main at d1ffbea5.
    - Bugs fixed in this snapshot: (LP: #2008727)

 -- James Falcon <james.falcon@canonical.com>  Thu, 02 Mar 2023 14:05:48 -0600

cloud-init (23.1-0ubuntu1) lunar; urgency=medium

  * Upstream snapshot based on 23.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.1/ChangeLog
    - Bugs fixed in this snapshot: (LP: #1990513, #1999164, #1931174)
      (LP: #1815990)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Wed, 22 Feb 2023 18:15:10 +0100

cloud-init (22.4.2-0ubuntu3) lunar; urgency=medium

  * Upstream snapshot based on upstream/main at bdc7b040.
    - Bugs fixed in this snapshot: (LP: #2001737, #1998526, #2000596)
      (LP: #1851438)
  * Upstream snapshot based on upstream/main at 3b8b4692.
    - Bugs fixed in this snapshot: (LP: #1998998, #1997922, #2002969)
      (LP: #2003562, #1999680)

 -- James Falcon <james.falcon@canonical.com>  Fri, 03 Feb 2023 15:36:12 -0600

cloud-init (22.4.2-0ubuntu2) lunar; urgency=medium

  * Upstream snapshot based on upstream/main at 040090a3.
    - Bugs fixed in this snapshot: (LP: #1994980, #1998655, #1999042)
      (LP: #1997559)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 15 Dec 2022 16:11:37 -0700

cloud-init (22.4.2-0ubuntu1) lunar; urgency=medium

  * Upstream snapshot based on upstream commit 893df0d6.
    - Bugs fixed in this snapshot: (LP: #1997559)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Thu, 24 Nov 2022 08:39:08 +0100

cloud-init (22.4.1-0ubuntu1) lunar; urgency=medium

  * Upstream snapshot based on upstream commit c038808e.

 -- James Falcon <james.falcon@canonical.com>  Mon, 21 Nov 2022 15:02:34 -0600

cloud-init (22.4-0ubuntu4) lunar; urgency=medium

  * Upstream snapshot based on upstream commit 74ed1387.
    - Bugs fixed in this snapshot: (LP: #1844191, #1906849, #1992512)

 -- James Falcon <james.falcon@canonical.com>  Fri, 18 Nov 2022 16:41:49 -0600

cloud-init (22.4-0ubuntu3) lunar; urgency=medium

  * d/changelog: Sync released d/changelog entries
    - 22.3.4-0ubuntu1 and 22.3.3-0ubuntu1~22.10.1
  * Changelog: Sync release entries in Changlog:
    - 22.3.1, 22.3.2, 22.3.3 and 22.3.4

 -- Chad Smith <chad.smith@canonical.com>  Tue, 15 Nov 2022 19:08:24 -0700

cloud-init (22.4-0ubuntu2) lunar; urgency=medium

  * d/changelog: account for closed bugs released in 22.4-0ubuntu1

 -- Chad Smith <chad.smith@canonical.com>  Tue, 15 Nov 2022 16:34:07 -0700

cloud-init (22.4-0ubuntu1) lunar; urgency=medium

  * d/control: drop python3-httpretty from Build-Depends
  * d/cloud-init.templates: Add NWCS to datasource list
  * Upstream snapshot based on 22.4 upstream release. List of changes
    from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/22.4/ChangeLog
  * Bugs fixed in this snapshot:
    (LP: #1962343, #1913461, #1883122, #1989686, #1307667, #1990070, #1991567)
    (LP: #1991024, #1990041, #1993836)

 -- James Falcon <james.falcon@canonical.com>  Tue, 15 Nov 2022 14:23:44 -0600

cloud-init (22.3.4-0ubuntu1) kinetic; urgency=medium

  * New upstream bug fix release.
    + Release 22.3.4 (LP: #1986703)
    + Fix Oracle DS primary interface when using IMDS (#1757)
      (LP: #1989686)

 -- Brett Holman <brett.holman@canonical.com>  Fri, 30 Sep 2022 16:07:44 -0600

cloud-init (22.3.3-0ubuntu1~22.10.1) kinetic; urgency=medium

  * New upstream bug fix release.
    + Release 22.3.3 (LP: #1986703)
    + Fix Oracle DS not setting subnet when using IMDS (#1735)
      (LP: #1989686)
    + azure: define new attribute for pre-22.3 pickles (#1725)
    + sources/azure: ensure instance id is always correct (#1727)
      [Chris Patterson]

 -- Brett Holman <brett.holman@canonical.com>  Mon, 19 Sep 2022 13:13:06 -0600

cloud-init (22.3-13-g70ce6442-0ubuntu1~22.10.1) kinetic; urgency=medium

  * New upstream snapshot.
    + Fix v2 interface matching when no MAC (LP: #1986551)
    + test: reduce number of network dependencies in flaky test (#1702)
    + docs: publish cc_ubuntu_autoinstall docs to rtd (#1696)
    + net: Fix EphemeraIPNetwork (#1697)
    + test: make ansible test work across older versions (#1691)
    + Networkd multi-address support/fix (#1685) [Teodor Garzdin]
    + make: drop broken targets (#1688)
    + net: Passthough v2 netconfigs in netplan systems (#1650)
      (LP: #1978543)
    + NM ipv6 connection does not work on Azure and Openstack (#1616)
      [Emanuele Giuseppe Esposito]
    + Fix check_format_tip (#1679)

 -- Brett Holman <brett.holman@canonical.com>  Tue, 30 Aug 2022 14:28:27 -0600

cloud-init (22.3-3-g9f0efc47-0ubuntu1~22.10.1) kinetic; urgency=medium

  * New upstream snapshot.
    + DataSourceVMware: fix var use before init (#1674) (LP: #1987005)
      [Andrew Kutz]
    + rpm/copr: ensure RPM represents new clean.d dir artifacts (#1680)
    + test: avoid centos leaked check of /etc/yum.repos.d/epel-testing.repo
      (#1676)
    + typo correction in Changelog

 -- Chad Smith <chad.smith@canonical.com>  Tue, 23 Aug 2022 14:30:10 -0600

cloud-init (22.3-0ubuntu1~22.10.1) kinetic; urgency=medium

  * New upstream release.
    + Release 22.3 (#1662) (LP: #1986703)
    + sources: obj.pkl cache should be written anyime get_data is run
      (#1669)
    + schema: drop release number from version file (#1664)
    + pycloudlib: bump to quiet azure HTTP info logs (#1668)
    + test: fix wireguard integration tests (#1666)
    + Github is deprecating the 18.04 runner starting 12.1 (#1665)
    + integration tests: Ensure one setup for all tests (#1661)
    + tests: ansible test fixes (#1660)
    + Prevent concurrency issue in test_webhook_hander.py (#1658)
    + Workaround net_setup_link race with udev (#1655) (LP: #1983516)
    + test: drop erroneous lxd assertion, verify command succeeded (#1657)
    + Fix Chrony usage on Centos Stream (#1648) (LP: #1885952)
      [Sven Haardiek]
    + sources/azure: handle network unreachable errors for savable PPS
      (#1642) [Chris Patterson]
    + Return cc_set_hostname to PER_INSTANCE frequency (#1651)
      (LP: #1983811)
    + test: Collect integration test time by default (#1638)
    + test: Drop forced package install hack in lxd integration test (#1649)
    + schema: Resolve user-data if --system given (#1644) (LP: #1983306)

 -- Brett Holman <brett.holman@canonical.com>  Fri, 19 Aug 2022 10:49:08 -0600

cloud-init (22.2-139-gb64ba456-0ubuntu1~22.10.1) kinetic; urgency=medium

  * New upstream snapshot.
    + test: use fake filesystem to avoid file removal (#1647)
    + tox: Fix tip-flake8 and tip-mypy (#1635)
    + config: Add wireguard config module (#1570)
      [Fabian Lichtenegger-Lukas]
    + tests: can run without azure-cli, tests expect inactive ansible
      (#1643)
    + typing: Type UrlResponse.contents (#1633)
    + testing: fix references to `DEPRECATED.` (#1641)
    + ssh_util: Handle sshd_config.d folder (LP: #1968873)
    + schema: Enable deprecations in cc_update_etc_hosts (#1631)
    + Add Ansible Config Module (#1579)
    + util: Support Idle process state in get_proc_ppid() (#1637)
    + schema: Enable deprecations in cc_growpart (#1628)
    + schema: Enable deprecations in cc_users_groups (#1627)
    + util: Fix error path and parsing in get_proc_ppid()
    + main: avoid downloading full contents cmdline urls (#1606)
      (LP: #1937319)
    + schema: Enable deprecations in cc_scripts_vendor (#1629)
    + schema: Enable deprecations in cc_set_passwords (#1630)
    + sources/azure: add experimental support for preprovisioned os disks
      (#1622) [Chris Patterson]
    + Remove configobj a_to_u calls (#1632) [Stefano Rivera]
    + cc_debug: Drop this module (#1614)
    + schema: add aggregate descriptions in anyOf/oneOf (#1636)
    + testing: migrate test_sshutil to pytest (#1617)
    + testing: Fix test_ca_certs integration test (#1626)
    + testing: add support for pycloudlib's pro images (#1604)
    + testing: migrate test_cc_set_passwords to pytest (#1615)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Wed, 10 Aug 2022 22:23:47 +0200

cloud-init (22.2-115-g6e498773-0ubuntu1~22.10.1) kinetic; urgency=medium

  * d/control: lintian fixes:
    + Drop deprecated keys: XS-Python-Version and XB-Python-Version.
  * d/cloud-init.lintian-overrides: lintian fixes:
    + Fix systemd-service-file-refers-to-unusual-wantedby-target format.
  * d/cloud-init.postinst: lintian fixes:
    + Fix command-with-path-in-maintainer-script for grub-install.
  * d/source/lintian-overrides: lintian fixes:
    + silence binary-nmu-debian-revision-in-source bug:
      https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1014584
  * d/gbp_format_changelog: add alberto as filtered contributor
  * New upstream snapshot.
    + network: add system_info network activator cloud.cfg overrides (#1619)
      (LP: #1982857)
    + lxd: lvm avoid thinpool when kernel module absent
    + lxd: enable MTU configuration in cloud-init
    + cc_set_passwords fixes (#1590)
    + Modernise importer.py and type ModuleDetails (#1605)
    + config: Def activate_by_schema_keys for t-z (#1613)
    + config: define activate_by_schema_keys for p-r mods (#1611)
    + clean: add param to remove /etc/machine-id for golden image creation
    + config: define `activate_by_schema_keys` for a-f mods (#1608)
    + config: define activate_by_schema_keys for s mods (#1612)
    + config: Define activate_by_schema_keys for g-n mods (#1610)
    + meta-schema: add infra to skip inapplicable modules
    + sources/azure: don't set cfg["password"] for default user pw (#1592)
      [Chris Patterson]
    + schema: activate grub-dpkg deprecations (#1600)
    + cc_lxd: Add btrfs and lvm lxd storage options (SC-1026) (#1585)
    + cc_ubuntu_autoinstall: support live-installer autoinstall config
    + clean: allow third party cleanup scripts in /etc/cloud/clean.d (#1581)
    + sources/azure: refactor chassis asset tag handling (#1574)
      [Chris Patterson]
    + bsd: Don't assume that root user is in root group (#1587)
    + Update govc command in VMWare walkthrough (#1576) [manioo8]
    + sources/azure: increase read-timeout to 60 seconds for wireserver
      (#1571) [Chris Patterson]
    + Resource leak cleanup (#1556)
    + Fix expire passwords for hashed passwords (#1577) (LP: #1979065)
      [Sadegh Hayeri]
    + mounts: fix suggested_swapsize for > 64GB hosts (#1569)
      [Steven Stallion]
    + Update chpasswd schema to deprecate password parsing (#1517)
    + Schema deprecation handling (#1549)
    + sources/azure: refactor ovf-env.xml parsing (#1550) [Chris Patterson]
    + schema: Force stricter validation (#1547)
    + ubuntu advantage config: http_proxy, https_proxy (#1512)
      [Fabian Lichtenegger-Lukas]
    + net: fix interface matching support (#1552) (LP: #1979877)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Fri, 29 Jul 2022 18:51:43 +0200

cloud-init (22.2-64-g1fcd55d6-0ubuntu1~22.10.1) kinetic; urgency=medium

  * d/control: add python3-debconf as Depends and Build-Depends
  * d/gbp.conf d/gbp_format_changelog:
    + git-buildpackage customization for debian/changelog generation
  * New upstream snapshot.
    + tests: mock dns lookup that causes long timeouts (#1555)
    + tox: add unpinned env for do_format and check_format (#1554)
    + cc_ssh_import_id: Substitute deprecated warn (#1553)
      [Alberto Contreras]
    + Remove schema errors from log (#1551) (LP: #1978422) (CVE-2022-2084)
    + Update WebHookHandler to run as background thread (SC-456) (#1491)
      (LP: #1910552)
    + testing: Don't run custom cloud dir test on Bionic (#1542)
    + bash completion: update schema command (#1543) (LP: #1979547)
    + CI: add non-blocking run against the linters tip versions (#1531)
      [Paride Legovini]
    + Change groups within the users schema to support lists and strings
      (#1545) [RedKrieg]
    + make it clear which username should go in the contributing doc (#1546)
    + Pin setuptools for Travis (SC-1136) (#1540)
    + Fix LXD datasource crawl when BOOT enabled (#1537)
    + testing: Fix wrong path in dual stack test (#1538)
    + cloud-config: honor cloud_dir setting (#1523) (LP: #1976564)
      [Alberto Contreras]
    + Add python3-debconf to pkg-deps.json Build-Depends (#1535)
      [Alberto Contreras]
    + redhat spec: udev/rules.d lives under /usr/lib on rhel-based systems
      (#1536)
    + tests/azure: add test coverage for DisableSshPasswordAuthentication
      (#1534) [Chris Patterson]
    + summary: Add david-caro to the cla signers (#1527) [David Caro]
    + Add support for OpenMandriva (https://openmandriva.org/) (#1520)
      [Bernhard Rosenkraenzer]
    + tests/azure: refactor ovf creation (#1533) [Chris Patterson]
    + Improve DataSourceOVF error reporting when script disabled (#1525)
      [rong]
    + tox: integration-tests-jenkins: softfail if only some test failed
      (#1528) [Paride Legovini]
    + CI: drop linters from Travis CI (moved to GH Actions) (#1530)
      [Paride Legovini]
    + sources/azure: remove unused encoding support for customdata (#1526)
      [Chris Patterson]
    + sources/azure: remove unused metadata captured when parsing ovf
      (#1524) [Chris Patterson]
    + sources/azure: remove dscfg parsing from ovf-env.xml (#1522)
      [Chris Patterson]
    + Remove extra space from ec2 dual stack crawl message (#1521)
    + tests/azure: use namespaces in generated ovf-env.xml documents (#1519)
      [Chris Patterson]
    + setup.py: adjust udev/rules default path (#1513)
      [Emanuele Giuseppe Esposito]
    + Add python3-deconf dependency (#1506) [Alberto Contreras]
    + Change match macadress param for network v2 config (#1518)
      [Henrique Caricatti Capozzi]
    + sources/azure: remove unused userdata property from ovf (#1516)
      [Chris Patterson]
    + sources/azure: minor refactoring to network config generation (#1497)
      [Chris Patterson]
    + net: Implement link-local ephemeral ipv6
    + Rename function to avoid confusion (#1501)
    + Fix cc_phone_home requiring 'tries' (#1500) (LP: #1977952)
    + datasources: replace networking functions with stdlib and
    cloudinit.net code
    + Remove xenial references (#1472) [Alberto Contreras]
    + Oracle ds changes (#1474) (LP: #1967942) [Alberto Contreras]
    + improve runcmd docs (#1498)
    + add 3.11-dev to Travis CI (#1493)
    + Only run github actions on pull request (#1496)
    + Fix integration test client creation (#1494) [Alberto Contreras]
    + tox: add link checker environment, fix links (#1480)
    + cc_ubuntu_advantage: Fix doc (#1487) [Alberto Contreras]
    + cc_yum_add_repo: Fix repo id canonicalization (#1489) (LP: #1975818)
      [Alberto Contreras]
    + Add linitio as contributor in the project (#1488) [Kevin Allioli]
    + net-convert: use yaml.dump for debugging python NetworkState obj
      (#1484) (LP: #1975907)
    + test_schema: no relative $ref URLs, replace $ref with local path
      (#1486)
    + cc_set_hostname: do not write "localhost" when no hostname is given
      (#1453) [Emanuele Giuseppe Esposito]
    + Update .github-cla-signers (#1478) [rong]
    + schema: write_files defaults, versions $ref full URL and add vscode
      (#1479)
    + docs: fix external links, add one more to the list (#1477)
    + doc: Document how to change module frequency (#1481)
    + tests: bump pycloudlib (#1482)
    + tests: bump pycloudlib pinned commit for kinetic Azure (#1476)
    + testing: fix test_status.py (#1475)
    + integration tests: If KEEP_INSTANCE = True, log IP (#1473)
    + Drop mypy excluded files (#1454) [Alberto Contreras]
    + Docs additions (#1470)
    + Add "formatting tests" to Github Actions
    + Remove unused arguments in function signature (#1471)
    + Changelog: correct errant classification of LP issues as GH (#1464)
    + Use Network-Manager and Netplan as default renderers for RHEL and
      Fedora (#1465) [Emanuele Giuseppe Esposito]

 -- James Falcon <james.falcon@canonical.com>  Fri, 01 Jul 2022 10:07:15 -0500

cloud-init (22.2-0ubuntu1~22.10.1) kinetic; urgency=medium

  * d/control:
    - Build-Depends: add python3-responses and python3-pytest-mock for unittests
    - Suggests: add openssh-server and ssh-import-id
  * d/cloud-init.postinst:
    - remove deprecated emit_upstart from cloud.cfg on upgrade
  * New upstream release.
    - Release 22.2 (LP: #1960939)
    - Fix test due to caplog incompatibility (#1461) [Alberto Contreras]
    - Align rhel custom files with upstream (#1431)
      [Emanuele Giuseppe Esposito]
    - cc_write_files: Improve schema. (#1460) [Alberto Contreras]
    - cli: Redact files with permission errors in commands (#1440)
      [Alberto Contreras] (LP: #1953430)
    - Improve cc_set_passwords. (#1456) [Alberto Contreras]
    - testing: make fake cloud-init wait actually wait (#1459)
    - Scaleway: Fix network configuration for netplan 0.102 and later (#1455)
      [Maxime Corbin]
    - Fix 'ephmeral' typos in disk names(#1452) [Mike Hucka]
    - schema: version schema-cloud-config-v1.json (#1424)
    - cc_modules: set default meta frequency value when no config available
      (#1457)
    - Log generic warning on non-systemd systems. (#1450) [Alberto Contreras]
    - cc_snap.maybe_install_squashfuse no longer needed in Bionic++. (#1448)
      [Alberto Contreras]
    - Drop support of *-sk keys in cc_ssh (#1451) [Alberto Contreras]
    - testing: Fix console_log tests (#1437)
    - tests: cc_set_passoword update for systemd, non-systemd distros  (#1449)
    - Fix bug in url_helper/dual_stack() logging (#1426)
    - schema: render schema paths from _CustomSafeLoaderWithMarks (#1391)
    - testing: Make integration tests kinetic friendly (#1441)
    - Handle error if SSH service no present. (#1422)
      [Alberto Contreras] (LP: #1969526)
    - Fix network-manager activator availability and order (#1438)
    - sources/azure: remove reprovisioning marker (#1414) [Chris Patterson]
    - upstart: drop vestigial support for upstart (#1421)
    - testing: Ensure NoCloud detected in test (#1439)
    - Update .github-cla-signers kallioli [Kevin Allioli]
    - Consistently strip top-level network key (#1417) (LP: #1906187)
    - testing: Fix LXD VM metadata test (#1430)
    - testing: Add NoCloud setup for NoCloud test (#1425)
    - Update linters and adapt code for compatibility (#1434) [Paride Legovini]
    - run-container: add support for LXD VMs (#1428) [Paride Legovini]
    - integration-reqs: bump pycloudlib pinned commit (#1427) [Paride Legovini]
    - Fix NoCloud docs (#1423)
    - Docs fixes (#1406)
    - docs: Add docs for module creation (#1415)
    - Remove cheetah from templater (#1416)
    - tests: verify_ordered_items fallback to re.escape if needed (#1420)
    - Misc module cleanup (#1418)
    - docs: Fix doc warnings and enable errors (#1419)
      [Alberto Contreras] (LP: #1876341)
    - Refactor cloudinit.sources.NetworkConfigSource to enum (#1413)
      [Alberto Contreras] (LP: #1874875)
    - Don't fail if IB and Ethernet devices 'collide' (#1411)
    - Use cc_* module meta defintion over hardcoded vars (SC-888) (#1385)
    - Fix cc_rsyslog.py initialization (#1404) [Alberto Contreras]
    - Promote cloud-init schema from devel to top level subcommand (#1402)
    - mypy: disable missing imports warning for httpretty (#1412)
      [Chris Patterson]
    - users: error when home should not be created AND ssh keys provided
      [Jeffrey 'jf' Lim]
    - Allow growpart to resize encrypted partitions (#1316)
    - Fix typo in integration_test.rst (#1405) [Alberto Contreras]
    - cloudinit.net refactor: apply_network_config_names (#1388)
      [Alberto Contreras] (LP: #1884602)
    - tests/azure: add fixtures for hardcoded paths (markers and data_dir)
      (#1399) [Chris Patterson]
    - testing: Add responses workaround for focal/impish (#1403)
    - cc_ssh_import_id: fix is_key_in_nested_dict to avoid early False
    - Fix ds-identify not detecting NoCloud seed in config (#1381)
      (LP: #1876375)
    - sources/azure: retry dhcp for failed processes (#1401) [Chris Patterson]
    - Move notes about refactorization out of CONTRIBUTING.rst (#1389)
    - Shave ~8ms off generator runtime (#1387)
    - Fix provisioning dhcp timeout to 20 minutes (#1394) [Chris Patterson]
    - schema: module example strict testing fix seed_random
    - cc_set_hostname: examples small typo (perserve vs preserve)
      [Wouter Schoot]
    - sources/azure: refactor http_with_retries to remove **kwargs (#1392)
      [Chris Patterson]
    - declare dependency on ssh-import-id (#1334)
    - drop references to old dependencies and old centos script
    - sources/azure: only wait for primary nic to be attached during restore
      (#1378) [Anh Vo]
    - cc_ntp: migrated legacy schema to cloud-init-schema.json (#1384)
    - Network functions refactor and bugfixes (#1383)
    - schema: add JSON defs for modules cc_users_groups (#1379) (LP: #1858930)
    - Fix doc typo (#1382) [Alberto Contreras]
    - Add support for dual stack IPv6/IPv4 IMDS to Ec2 (#1160)
    - Fix KeyError when rendering sysconfig IPv6 routes (#1380) (LP: #1958506)
    - Return a namedtuple from subp() (#1376)
    - Mypy stubs and other tox maintenance (SC-920) (#1374)
    - Distro Compatibility Fixes (#1375)
    - Pull in Gentoo patches (#1372)
    - schema: add json defs for modules U-Z (#1360)
      (LP: #1858928, #1858929, #1858931, #1858932)
    - util: atomically update sym links to avoid Suppress FileNotFoundError
      when reading status (#1298) [Adam Collard] (LP: LP:1962150)
    - schema: add json defs for modules scripts-timezone (SC-801) (#1365)
    - docs: Add first tutorial (SC-900) (#1368)
    - BUG 1473527: module ssh-authkey-fingerprints fails Input/output error…
      (#1340) [Andrew Lee] (LP: #1473527)
    - add arch hosts template (#1371)
    - ds-identify: detect LXD for VMs launched from host with > 5.10 kernel
      (#1370) (LP: #1968085)
    - Support EC2 tags in instance metadata (#1309) [Eduardo Dobay]
    - schema: add json defs for modules e-install (SC-651) (#1366)
    - Improve "(no_create_home|system): true" test (#1367) [Jeffrey 'jf' Lim]
    - Expose https_proxy env variable to ssh-import-id cmd (#1333)
      [Michael Rommel]
    - sources/azure: remove bind/unbind logic for hot attached nic (#1332)
      [Chris Patterson]
    - tox: add types-* packages to check_format env (#1362)
    - tests: python 3.10 is showing up in cloudimages (#1364)
    - testing: add additional mocks to test_net tests (#1356) [yangzz-97]
    - schema: add JSON schema for mcollective, migrator and mounts modules
      (#1358)
    - Honor system locale for RHEL (#1355) [Wei Shi]
    - doc: Fix typo in cloud-config-run-cmds.txt example (#1359) [Ali Shirvani]
    - ds-identify: also discover LXD by presence from DMI board_name = LXD
      (#1311)
    - black: bump pinned version to 22.3.0 to avoid click dependency issues
      (#1357)
    - Various doc fixes (#1330)
    - testing: Add missing is_FreeBSD mock to networking test (#1353)
    - Add --no-update to add-apt-repostory call (SC-880) (#1337)
    - schema: add json defs for modules K-L (#1321)
      (LP: #1858899, #1858900, #1858901, #1858902)
    - docs: Re-order readthedocs install (#1354)
    - Stop cc_ssh_authkey_fingerprints from ALWAYS creating home (#1343)
      [Jeffrey 'jf' Lim]
    - docs: add jinja2 pin (#1352)
    - Vultr: Use find_candidate_nics, use ipv6 dns (#1344) [eb3095]
    - sources/azure: move get_ip_from_lease_value out of shim (#1324)
      [Chris Patterson]
    - Fix cloud-init status --wait when no datasource found (#1349)
      (LP: #1966085)
    - schema: add JSON defs for modules resize-salt (SC-654) (#1341)
    - Add myself as a future contributor (#1345) [Neal Gompa (ニール・ゴンパ)]
    - Update .github-cla-signers (#1342) [Jeffrey 'jf' Lim]
    - add Requires=cloud-init-hotplugd.socket in cloud-init-hotplugd.service
      file (#1335) [yangzz-97]
    - Fix sysconfig render when set-name is missing (#1327)
      [Andrew Kutz] (LP: #1855945)
    - Refactoring helper funcs out of NetworkState (#1336) [Andrew Kutz]
    - url_helper: add tuple support for readurl timeout (#1328)
      [Chris Patterson]
    - Make fs labels match for ds-identify and docs (#1329)
    - Work around bug in LXD VM detection (#1325)
    - Remove redundant generator logs (#1318)
    - tox: set verbose flags for integration tests (#1323) [Chris Patterson]
    - net: introduce find_candidate_nics() (#1313) [Chris Patterson]
    - Revert "Ensure system_cfg read before ds net config on Oracle (#1174)"
      (#1326)
    - Add vendor_data2 support for ConfigDrive source (#1307) [cvstealth]
    - Make VMWare data source test host independent and expand testing (#1308)
      [Robert Schweikert]
    - Add json schemas for modules starting with P
    - sources/azure: remove lease file parsing (#1302) [Chris Patterson]
    - remove flaky test from ci (#1322)
    - ci: Switch to python 3.10 in Travis CI (#1320)
    - Better interface handling for Vultr, expect unexpected DHCP servers
      (#1297) [eb3095]
    - Remove unused init local artifact (#1315)
    - Doc cleanups (#1317)
    - docs improvements (#1312)
    - add support for jinja do statements, add unit test (#1314)
      [Paul Bruno] (LP: #1962759)
    - sources/azure: prevent tight loops for DHCP retries (#1285)
      [Chris Patterson]
    - net/dhcp: surface type of DHCP lease failure to caller (#1276)
      [Chris Patterson]
    - Stop hardcoding systemctl location (#1278) [Robert Schweikert]
    - Remove python2 syntax from docs (#1310)
    - [tools/migrate-lp-user-to-github] Rename master branch to main (#1301)
      [Adam Collard]
    - redhat: Depend on "hostname" package (#1288) [Lubomir Rintel]
    - Add native NetworkManager support (#1224) [Lubomir Rintel]
    - Fix link in CLA check to point to contribution guide. (#1299)
      [Adam Collard]

 -- Brett Holman <brett.holman@canonical.com>  Wed, 18 May 2022 11:23:42 -0600

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.5) jammy; urgency=medium

  * d/p/cpick-be9389c6-Work-around-bug-in-LXD-VM-detection-1325:
    cherry-pick be9389c6: Work around bug in LXD VM detection (#1325)
  * d/p/cpick-30ccd51a-ds-identify-also-discover-LXD-by-presence-from-DMI:
    cherry-pick 30ccd51a: ds-identify: also discover LXD by presence
    from DMI
  * d/p/pick-e3307e4d-ds-identify-detect-LXD-for-VMs-launched-from-host-with:
    cherry-pick e3307e4d: ds-identify: detect LXD for VMs launched from
    host with > 5.10 kernel (LP: #1968085)

 -- James Falcon <james.falcon@canonical.com>  Wed, 06 Apr 2022 16:48:16 -0500

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.4) jammy; urgency=medium

  * d/p/cpick-eee60329-Fix-cloud-init-status-wait-when-no-datasource-found:
    cherry-pick eee60329: Fix cloud-init status --wait when no datasource
    found (#1349)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 23 Mar 2022 20:10:41 -0600

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.3) jammy; urgency=medium

  * d/patches: include the missing quilt patch from v. 22.04.2 upload
    - cpick-5e347d25-Revert-Ensure-system_cfg-read-before-ds-net-config-on

 -- James Falcon <james.falcon@canonical.com>  Fri, 11 Mar 2022 15:19:52 -0600

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.2) jammy; urgency=medium

  * cherry-pick 156b927e: Revert "Ensure system_cfg read before ds
    net config on Oracle (#1174)" (#1326)

 -- James Falcon <james.falcon@canonical.com>  Fri, 11 Mar 2022 11:55:37 -0600

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.1) jammy; urgency=medium

  * debian/apport-launcher.py: Fix string and whitespace formatting
  * New upstream snapshot.
    - check for existing symlink while force creating symlink (#1281)
      [Shreenidhi Shedi]
    - Do not silently ignore integer uid (#1280) (LP: #1875772)
    - tests: create a IPv4/IPv6 VPC in Ec2 integration tests (#1291)
    - Integration test fix ppa  (#1296)
    - tests: on official EC2. cloud-id actually startswith aws not ec2 (#1289)
    - test_ppa_source: accept both http and https URLs (#1292)
      [Paride Legovini]
    - Fix apt test on azure
    - add "lkundrak" as contributor [Lubomir Rintel]
    - Holmanb/integration test fix ppa (#1287)
    - Include missing subcommand in manpage (#1279)
    - Clean up artifacts from pytest, packaging, release with make clean
      (#1277)
    - sources/azure: ensure retries on IMDS request failure (#1271)
      [Chris Patterson]
    - sources/azure: removed unused saveable PPS paths (#1268)
      [Chris Patterson]

 -- Brett Holman <brett.holman@canonical.com>  Thu, 24 Feb 2022 16:40:00 -0700

cloud-init (22.1-1-gb3d9acdd-0ubuntu1~22.04.1) jammy; urgency=medium

  * New upstream snapshot.
    - integration tests: fix Azure failures (#1269)
    - Release 22.1 (#1267) (LP: #1960939)
    - sources/azure: report ready in local phase (#1265) [Chris Patterson]
    - sources/azure: validate IMDS network configuration metadata (#1257)
      [Chris Patterson]
    - docs: Add more details to runcmd docs (#1266)
    - use PEP 589 syntax for TypeDict (#1253)
    - mypy: introduce type checking (#1254) [Chris Patterson]
    - Fix extra ipv6 issues, code reduction and simplification (#1243) [eb3095]
    - tests: when generating crypted password, generate in target env (#1252)
    - sources/azure: address mypy/pyright typing complaints (#1245)
      [Chris Patterson]
    - Docs for x-shellscript* userdata (#1260)
    - test_apt_security: azure platform has specific security URL overrides
      (#1263)

 -- Brett Holman <brett.holman@canonical.com>  Wed, 16 Feb 2022 13:39:11 -0700

cloud-init (21.4-119-gdeb3ae82-0ubuntu1~22.04.1) jammy; urgency=medium

  * d/cloud-init.templates: Move LXD to back of datasource_list
  * New upstream snapshot.
    - tests: lsblk --json output changes mountpoint key to mountpoinst []
      (#1261)
    - mounts: fix mount opts string for ephemeral disk (#1250)
      [Chris Patterson]
    - Shell script handlers by freq (#1166) [Chris Lalos]
    - minor improvements to documentation (#1259) [Mark Esler]
    - cloud-id: publish /run/cloud-init/cloud-id-<cloud-type> files (#1244)
    - add "eslerm" as contributor (#1258) [Mark Esler]
    - sources/azure: refactor ssh key handling (#1248) [Chris Patterson]
    - bump pycloudlib (#1256)
    - sources/hetzner: Use EphemeralDHCPv4 instead of static configuration
      (#1251) [Markus Schade]
    - bump pycloudlib version (#1255) [Brett Holman]
    - Fix IPv6 netmask format for sysconfig (#1215) [Harald] (LP: #1959148)
    - sources/azure: drop debug print (#1249) [Chris Patterson]
    - tests: do not check instance.pull_file().ok() (#1246)
    - sources/azure: consolidate ephemeral DHCP configuration (#1229)
      [Chris Patterson]
    - cc_salt_minion freebsd fix for rc.conf (#1236) [Brett Holman]
    - sources/azure: fix metadata check in _check_if_nic_is_primary() (#1232)
      [Chris Patterson]
    - Add _netdev option to mount Azure ephemeral disk (#1213) [Eduardo Otubo]
    - testing: stop universally overwriting /etc/cloud/cloud.cfg.d (#1237)
    - Integration test changes (#1240)
    - Fix Gentoo Locales (#1205) [Brett Holman]
    - Add "slingamn" as contributor (#1235) [Shivaram Lingamneni]
    - integration: do not LXD bind mount /etc/cloud/cloud.cfg.d (#1234)
    - Integration testing docs and refactor (#1231)
    - vultr: Return metadata immediately when found (#1233) [eb3095]
    - spell check docs with spellintian (#1223) [Brett Holman]
    - docs: include upstream python version info (#1230)
    - Schema a d (#1211)
    - Move LXD to end ds-identify DSLIST (#1228) (LP: #1959118)
    - fix parallel tox execution (#1214) [Brett Holman]
    - sources/azure: refactor _report_ready_if_needed and _poll_imds (#1222)
      [Chris Patterson]
    - Do not support setting up archive.canonical.com as a source (#1219)
      [Steve Langasek] (LP: #1959343)
    - Vultr: Fix lo being used for DHCP, try next on cmd fail (#1208) [eb3095]
    - sources/azure: refactor _should_reprovision[_after_nic_attach]() logic
      (#1206) [Chris Patterson]
    - update ssh logs to show ssh private key gens pub and simplify code
      (#1221) [Steve Weber]
    - Remove mitechie from stale PR github action (#1217)
    - Include POST format in cc_phone_home docs (#1218) (LP: #1959149)
    - Add json parsing of ip addr show (SC-723) (#1210)
    - cc_rsyslog: fix typo in docstring (#1207) [Louis Sautier]
    - Update .github-cla-signers (#1204) [Chris Lalos]
    - sources/azure: drop unused case in _report_failure() (#1200)
      [Chris Patterson]
    - sources/azure: always initialize _ephemeral_dhcp_ctx on unpickle (#1199)
      [Chris Patterson]
    - Add support for gentoo templates and cloud.cfg (#1179) [vteratipally]
    - sources/azure: unpack ret tuple in crawl_metadata() (#1194)
      [Chris Patterson]
    - tests: focal caplog has whitespace indentation for multi-line logs
      (#1201)
    - Seek interfaces, skip dummy interface, fix region codes (#1192) [eb3095]
    - integration: test against the Ubuntu daily images (#1198)
      [Paride Legovini]
    - cmd: status and cloud-id avoid change in behavior for 'not run' (#1197)
    - tox: pass PYCLOUDLIB_* env vars into integration tests when present
      (#1196)
    - sources/azure: set ovf_is_accessible when OVF is read successfully
      (#1193) [Chris Patterson]
    - Enable OVF environment transport via ISO in example (#1195) [Megian]
    - sources/azure: consolidate DHCP variants to EphemeralDHCPv4WithReporting
      (#1190) [Chris Patterson]
    - Single JSON schema validation in early boot (#1175)
    - Add DatasourceOVF network-config propery to Ubuntu OVF example (#1184)
      [Megian]
    - testing: support pycloudlib config file (#1189)
    - Ensure system_cfg read before ds net config on Oracle (SC-720) (#1174)
      (LP: #1956788)
    - Test Optimization Proposal (SC-736) (#1188) [Brett Holman]
    - cli: cloud-id report not-run or disabled state as cloud-id (#1162)
    - Remove distutils usage (#1177) [Shreenidhi Shedi]
    - add .python-version to gitignore (#1186) [Brett Holman]
    - print error if datasource import fails (#1170)
      [Emanuele Giuseppe Esposito]
    - Add new config module to set keyboard layout (#1176)
      [maxnet] (LP: #1951593)
    - sources/azure: rename metadata_type -> MetadataType (#1181)
      [Chris Patterson]
    - Remove 3.5 and xenial support (SC-711) (#1167)
    - tests: mock LXD datasource detection in ds-identify on LXD containers
      (#1178)
    - pylint: silence errors on compat code for old jsonschema (#1172)
      [Paride Legovini]
    - testing: Add 3.10 Test Coverage (#1173) [Brett Holman]
    - Remove unittests from integration test job in travis (#1141)
      [Brett Holman]
    - Don't throw exceptions for empty cloud config (#1130) [Brett Holman]
    - bsd/resolv.d/ avoid duplicated entries (#1163) [Gonéri Le Bouder]
    - sources/azure: do not persist failed_desired_api_version flag (#1159)
      [Chris Patterson]
    - Update cc_ubuntu_advantage calls to assume-yes (#1158)
      [John Chittum] (LP: #1954842)
    - openbsd: properly restart the network on 7.0 (#1150) [Gonéri Le Bouder]
    - Add .git-blame-ignore-revs (#1161)
    - Adopt Black and isort (SC-700) (#1157)
    - Include dpkg frontend lock in APT_LOCK_FILES (#1153)
    - tests/cmd/query: fix test run as root and add coverage for defaults
      (#1156) [Chris Patterson] (LP: #1825027)
    - Schema processing changes (SC-676) (#1144)
    - Add dependency workaround for impish in bddeb (#1148) [Brett Holman]
    - netbsd: install new dep packages (#1151) [Gonéri Le Bouder]
    - find_devs_with_openbsd: ensure we return the last entry (#1149)
      [Gonéri Le Bouder]
    - sources/azure: remove unnecessary hostname bounce (#1143)
      [Chris Patterson]
    - find_devs/openbsd: accept ISO on disk (#1132)
      [Gonéri Le Bouder] (GH:
      https://github.com/ContainerCraft/kmi/issues/12)
    - Improve error log message when mount failed (#1140) [Ksenija Stanojevic]
    - add KsenijaS as a contributor (#1145) [Ksenija Stanojevic]
    - travis - don't run integration tests if no deb (#1139) [Brett Holman]
    - factor out function for getting top level directory of cloudinit (#1136)
      [Brett Holman]
    - testing: Add deterministic test id (#1138) [Brett Holman]
    - mock sleep() in azure test (#1137) [Brett Holman]
    - Add miraclelinux support (#1128) [Haruki TSURUMOTO]
    - docs: Make MACs lowercase in network config (#1135) (GH: #1876941)
    - Add Strict Metaschema Validation (#1101) [Brett Holman]
    - update dead link (#1133) [Brett Holman]
    - cloudinit/net: handle two different routes for the same ip (#1124)
      [Emanuele Giuseppe Esposito]
    - docs: pin mistune dependency (#1134)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 10 Feb 2022 16:02:56 -0700

cloud-init (21.4-25-g039c40f9-0ubuntu1~22.04.1) jammy; urgency=medium

  * New upstream snapshot.
    - Reorganize unit test locations under tests/unittests (#1126)
      [Brett Holman]
    - Fix exception when no activator found (#1129) (LP: #1948681)
    - jinja: provide and document jinja-safe key aliases in instance-data
      (SC-622) (#1123)
    - testing: Remove date from final_message test (SC-638) (#1127)
    - Move GCE metadata fetch to init-local (SC-502) (#1122)
    - Fix missing metadata routes for vultr (#1125) [eb3095]
    - cc_ssh_authkey_fingerprints.py: prevent duplicate messages on console
      (#1081) [dermotbradley]
    - sources/azure: remove unused remnants related to agent command (#1119)
      [Chris Patterson]
    - github: update PR template's contributing URL (#1120) [Chris Patterson]
    - docs: Rename HACKING.rst to CONTRIBUTING.rst (#1118)
    - testing: monkeypatch system_info call in unit tests (SC-533) (#1117)
    - Fix Vultr timeout and wait values (#1113) [eb3095]
    - lxd: add preference for LXD cloud-init.* config keys over user keys
      (#1108)
    - VMware: source /etc/network/interfaces.d/* on Debian
      [chengcheng-chcheng] (LP: #1950136)
    - Add cjp256 as contributor (#1109) [Chris Patterson]
    - integration_tests: Ensure log directory exists before symlinking to it
      (#1110)
    - testing: add growpart integration test (#1104) [Brett Holman]
    - integration_test: Speed up CI run time (#1111)
    - Some miscellaneous integration test fixes (SC-606) (#1103)
    - tests: specialize lxd_discovery test for lxd_vm vendordata (#1106)
    - Add convenience symlink to integration test output (#1105) [Brett Holman]
    - Fix for set-name bug in networkd renderer (#1100)
      [Andrew Kutz] (LP: #1949407)
    - Wait for apt lock (#1034) (LP: #1944611)
    - testing: stop chef test from running on openstack (#1102)
    - alpine.py: add options to the apk upgrade command (#1089) [dermotbradley]

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 Dec 2021 15:44:06 -0700

cloud-init (21.4-0ubuntu1~22.04.1) jammy; urgency=medium

  * d/upstream/metadata: Change contact to James Falcon
  * d/cloud-init.templates: Add LXD to default datasource_list with
    translations
  * drop the following cherry-picks now included:
    + cpick-28e56d99-Azure-Retry-dhcp-on-timeouts-when-polling
    + cpick-e69a8874-Set-Azure-to-only-update-metadata-on-BOOT_NEW_INSTANCE
    + cpick-612e3908-Add-connectivity_url-to-Oracle-s-EphemeralDHCPv4-988
    + cpick-dc227869-Set-Azure-to-apply-networking-config-every-BOOT-1023
    + cpick-9c147e83-Allow-disabling-of-network-activation-SC-307-1048
  * New upstream release.
    - Release 21.4 (#1091) (LP: #1949405)
    - Azure: fallback nic needs to be reevaluated during reprovisioning
      (#1094) [Anh Vo]
    - azure: pps imds (#1093) [Anh Vo]
    - testing: Remove calls to 'install_new_cloud_init' (#1092)
    - Add LXD datasource (#1040)
    - Fix unhandled apt_configure case. (#1065) [Brett Holman]
    - Allow libexec for hotplug (#1088)
    - Add necessary mocks to test_ovf unit tests (#1087)
    - Remove (deprecated) apt-key (#1068) [Brett Holman] (LP: #1836336)
    - distros: Remove a completed "TODO" comment (#1086)
    - cc_ssh.py: Add configuration for controlling ssh-keygen output (#1083)
      [dermotbradley]
    - Add "install hotplug" module (SC-476) (#1069) (LP: #1946003)
    - hosts.alpine.tmpl: rearrange the order of short and long hostnames
      (#1084) [dermotbradley]
    - Add max version to docutils
    - cloudinit/dmi.py: Change warning to debug to prevent console display
      (#1082) [dermotbradley]
    - remove unnecessary EOF string in
      disable-sshd-keygen-if-cloud-init-active.conf (#1075) [Emanuele
      Giuseppe Esposito]
    - Add module 'write-files-deferred' executed in stage 'final' (#916)
      [Lucendio]
    - Bump pycloudlib to fix CI (#1080)
    - Remove pin in dependencies for jsonschema (#1078)
    - Add "Google" as possible system-product-name (#1077) [vteratipally]
    - Update Debian security suite for bullseye (#1076) [Johann Queuniet]
    - Leave the details of service management to the distro (#1074)
      [Andy Fiddaman]
    - Fix typos in setup.py (#1059) [Christian Clauss]
    - Update Azure _unpickle (SC-500) (#1067) (LP: #1946644)
    - cc_ssh.py: fix private key group owner and permissions (#1070)
      [Emanuele Giuseppe Esposito]
    - VMware: read network-config from ISO (#1066) [Thomas Weißschuh]
    - testing: mock sleep in gce unit tests (#1072)
    - CloudStack: fix data-server DNS resolution (#1004)
      [Olivier Lemasle] (LP: #1942232)
    - Fix unit test broken by pyyaml upgrade (#1071)
    - testing: add get_cloud function (SC-461) (#1038)
    - Inhibit sshd-keygen@.service if cloud-init is active (#1028)
      [Ryan Harper]
    - VMWARE: search the deployPkg plugin in multiarch dir (#1061)
      [xiaofengw-vmware] (LP: #1944946)
    - Fix set-name/interface DNS bug (#1058) [Andrew Kutz] (LP: #1946493)
    - Use specified tmp location for growpart (#1046) [jshen28]
    - .gitignore: ignore tags file for ctags users (#1057) [Brett Holman]
    - Allow comments in runcmd and report failed commands correctly (#1049)
      [Brett Holman] (LP: #1853146)
    - tox integration: pass the *_proxy, GOOGLE_*, GCP_* env vars (#1050)
      [Paride Legovini]
    - Allow disabling of network activation (SC-307) (#1048) (LP: #1938299)
    - renderer: convert relative imports to absolute (#1052) [Paride Legovini]
    - Support ETHx_IP6_GATEWAY, SET_HOSTNAME on OpenNebula (#1045)
      [Vlastimil Holer]
    - integration-requirements: bump the pycloudlib commit (#1047)
      [Paride Legovini]
    - Allow Vultr to set MTU and use as-is configs (#1037) [eb3095]
    - pin jsonschema in requirements.txt (#1043)
    - testing: remove cloud_tests (#1020)
    - Add andgein as contributor (#1042) [Andrew Gein]
    - Make wording for module frequency consistent (#1039) [Nicolas Bock]
    - Use ascii code for growpart (#1036) [jshen28]
    - Add jshen28 as contributor (#1035) [jshen28]
    - Skip test_cache_purged_on_version_change on Azure (#1033)
    - Remove invalid ssh_import_id from examples (#1031)
    - Cleanup Vultr support (#987) [eb3095]
    - docs: update cc_disk_setup for fs to raw disk (#1017)
    - HACKING.rst: change contact info to James Falcon (#1030)
    - tox: bump the pinned flake8 and pylint version (#1029)
      [Paride Legovini] (LP: #1944414)
    - Add retries to DataSourceGCE.py when connecting to GCE (#1005)
      [vteratipally]
    - Set Azure to apply networking config every BOOT (#1023)
    - Add connectivity_url to Oracle's EphemeralDHCPv4 (#988) (LP: #1939603)
    - docs: fix typo and include sudo for report bugs commands (#1022)
      [Renan Rodrigo] (LP: #1940236)
    - VMware: Fix typo introduced in #947 and add test (#1019) [PengpengSun]
    - Update IPv6 entries in /etc/hosts (#1021) [Richard Hansen] (LP: #1943798)
    - Integration test upgrades for the 21.3-1 SRU (#1001)
    - Add Jille to tools/.github-cla-signers (#1016) [Jille Timmermans]
    - Improve ug_util.py (#1013) [Shreenidhi Shedi]
    - Support openEuler OS (#1012) [zhuzaifangxuele]
    - ssh_utils.py: ignore when sshd_config options are not key/value pairs
      (#1007) [Emanuele Giuseppe Esposito]
    - Set Azure to only update metadata on BOOT_NEW_INSTANCE (#1006)
    - cc_update_etc_hosts: Use the distribution-defined path for the hosts
      file (#983) [Andy Fiddaman]
    - Add CloudLinux OS support (#1003) [Alexandr Kravchenko]
    - puppet config: add the start_agent option (#1002) [Andrew Bogott]
    - Fix `make style-check` errors (#1000) [Shreenidhi Shedi]
    - Make cloud-id copyright year (#991) [Andrii Podanenko]
    - Add support to accept-ra in networkd renderer (#999) [Shreenidhi Shedi]
    - Update ds-identify to pass shellcheck (#979) [Andrew Kutz]
    - Azure: Retry dhcp on timeouts when polling reprovisiondata (#998)
      [aswinrajamannar]

 -- James Falcon <james.falcon@canonical.com>  Tue, 02 Nov 2021 18:07:49 -0500

cloud-init (21.3-1-g6803368d-0ubuntu3) impish; urgency=medium

  * cherry-pick 9c147e83: Allow disabling of network activation (SC-307)
    (#1048) (LP: #1938299)
  * cherry-pick 612e3908: Add connectivity_url to Oracle's
    EphemeralDHCPv4 (#988) (LP: #1939603)
  * cherry-pick dc227869: Set Azure to apply networking config every BOOT
    (#1023)

 -- James Falcon <james.falcon@canonical.com>  Thu, 07 Oct 2021 11:43:55 -0500

cloud-init (21.3-1-g6803368d-0ubuntu2) impish; urgency=medium

  * cherry-pick 28e56d99: Azure: Retry dhcp on timeouts when polling
    reprovisiondata
  * cherry-pick e69a8874: Set Azure to only update metadata on
    BOOT_NEW_INSTANCE

 -- James Falcon <james.falcon@canonical.com>  Fri, 03 Sep 2021 14:36:41 -0500

cloud-init (21.3-1-g6803368d-0ubuntu1) impish; urgency=medium

  * New upstream snapshot.
    - testing: Fix ssh keys integration test (#992)
    - Release 21.3 (#993) (LP: #1940839)
    - Azure: During primary nic detection, check interface status continuously
      before rebinding again (#990) [aswinrajamannar]
    - Fix home permissions modified by ssh module (SC-338) (#984)
      (LP: #1940233)
    - Add integration test for sensitive jinja substitution (#986)
    - Ignore hotplug socket when collecting logs (#985) (LP: #1940235)
    - testing: Add missing mocks to test_vmware.py (#982)
    - add Zadara Edge Cloud Platform to the supported clouds list (#963)
      [sarahwzadara]
    - testing: skip upgrade tests on LXD VMs (#980)

 -- James Falcon <james.falcon@canonical.com>  Mon, 23 Aug 2021 16:53:23 -0500

cloud-init (21.2-69-g65607405-0ubuntu1) impish; urgency=medium

  * d/cloud-init.templates: Add VMware to default datasource_list
  * d/control: Add dependencies on python3-netifaces for vmware ds
  * New upstream snapshot.
    - Only invoke hotplug socket when functionality is enabled (#952)
    - Revert unnecesary lcase in ds-identify (#978) [Andrew Kutz]
    - cc_resolv_conf: fix typos (#969) [Shreenidhi Shedi]
    - Replace broken httpretty tests with mock (SC-324) (#973)
    - Azure: Check if interface is up after sleep when trying to bring it up
      (#972) [aswinrajamannar]
    - Update dscheck_VMware's rpctool check (#970) [Shreenidhi Shedi]
    - Azure: Logging the detected interfaces (#968) [Moustafa Moustafa]
    - Change netifaces dependency to 0.10.4 (#965) [Andrew Kutz]
    - Azure: Limit polling network metadata on connection errors (#961)
      [aswinrajamannar]
    - Update inconsistent indentation (#962) [Andrew Kutz]
    - cc_puppet: support AIO installations and more (#960) [Gabriel Nagy]
    - Add Puppet contributors to CLA signers (#964) [Noah Fontes]
    - Datasource for VMware (#953) [Andrew Kutz]
    - photon: refactor hostname handling and add networkd activator (#958)
      [sshedi]
    - Stop copying ssh system keys and check folder permissions (#956)
      [Emanuele Giuseppe Esposito]
    - testing: port remaining cloud tests to integration testing framework
      (SC-191) (#955)
    - generate contents for ovf-env.xml when provisioning via IMDS (#959)
      [Anh Vo]
    - Add support for EuroLinux 7 && EuroLinux 8 (#957) [Aleksander Baranowski]
    - Implementing device_aliases as described in docs (#945)
      [Mal Graty] (LP: #1867532)
    - testing: fix test_ssh_import_id.py (#954)
    - Add ability to manage fallback network config on PhotonOS (#941) [sshedi]
    - Add VZLinux support (#951) [eb3095]
    - VMware: add network-config support in ovf-env.xml (#947) [PengpengSun]
    - Update pylint to v2.9.3 and fix the new issues it spots (#946)
      [Paride Legovini]
    - Azure: mount default provisioning iso before try device listing (#870)
      [Anh Vo]
    - Document known hotplug limitations (#950)

 -- James Falcon <james.falcon@canonical.com>  Fri, 13 Aug 2021 15:37:31 -0500

cloud-init (21.2-43-g184c836a-0ubuntu1) impish; urgency=medium

  * New upstream snapshot.
    - Initial hotplug support (#936)
    - Fix MIME policy failure on python version upgrade (#934)
    - run-container: fixup the centos repos baseurls when using http_proxy
      (#944) [Paride Legovini]
    - tools: add support for building rpms on rocky linux (#940)
    - ssh-util: allow cloudinit to merge all ssh keys into a custom user
      file, defined in AuthorizedKeysFile (#937) [Emanuele Giuseppe Esposito]
      (LP: #1911680)
    - VMware: new "allow_raw_data" switch (#939) [xiaofengw-vmware]
    - bump pycloudlib version (#935)
    - add renanrodrigo as a contributor (#938) [Renan Rodrigo]
    - testing: simplify test_upgrade.py (#932)
    - freebsd/net_v1 format: read MTU from root (#930) [Gonéri Le Bouder]
    - Add new network activators to bring up interfaces (#919)
    - Detect a Python version change and clear the cache (#857)
      [Robert Schweikert]
    - cloud_tests: fix the Impish release name (#931) [Paride Legovini]
    - Removed distro specific network code from Photon (#929) [sshedi]
    - Add support for VMware PhotonOS (#909) [sshedi]
    - cloud_tests: add impish release definition (#927) [Paride Legovini]
    - docs: fix stale links rename master branch to main (#926)
    - Fix DNS in NetworkState (SC-133) (#923)
    - tests: Add 'adhoc' mark for integration tests (#925)
    - Fix the spelling of "DigitalOcean" (#924) [Mark Mercado]
    - Small Doc Update for ReportEventStack and Test (#920) [Mike Russell]
    - Replace deprecated collections.Iterable with abc replacement (#922)
      (LP: #1932048)
    - testing: OCI availability domain is now required (SC-59) (#910)
    - add DragonFlyBSD support (#904) [Gonéri Le Bouder]
    - Use instance-data-sensitive.json in jinja templates (SC-117) (#917)
      (LP: #1931392)
    - doc: Update NoCloud docs stating required files (#918) (LP: #1931577)
    - build-on-netbsd: don't pin a specific py3 version (#913)
      [Gonéri Le Bouder]
    - - Create the log file with 640 permissions (#858) [Robert Schweikert]
    - Allow braces to appear in dhclient output (#911) [eb3095]
    - Docs: Replace all freenode references with libera (#912)
    - openbsd/net: flush the route table on net restart (#908)
      [Gonéri Le Bouder]
    - Add Rocky Linux support to cloud-init (#906) [Louis Abel]
    - Add "esposem" as contributor (#907) [Emanuele Giuseppe Esposito]
    - Add integration test for #868 (#901)
    - Added support for importing keys via primary/security mirror clauses
      (#882) [Paul Goins] (LP: #1925395)
    - [examples] config-user-groups expire in the future (#902)
      [Geert Stappers]
    - BSD: static network, set the mtu (#894) [Gonéri Le Bouder]
    - Add integration test for lp-1920939 (#891)
    - Fix unit tests breaking from new httpretty version (#903)
    - Allow user control over update events (#834)

 -- James Falcon <james.falcon@canonical.com>  Mon, 19 Jul 2021 14:23:12 -0500

cloud-init (21.2-3-g899bfaa9-0ubuntu2) impish; urgency=medium

  * d/po/templates.pot: refresh with debconf-updatepo

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 12 May 2021 12:23:42 -0400

cloud-init (21.2-3-g899bfaa9-0ubuntu1) impish; urgency=medium

  * drop the following cherry-picks now included:
    + cpick-83f6bbfb-Fix-unpickle-for-source-paths-missing-run_dir-863
    + cpick-d132356c-fix-error-on-upgrade-caused-by-new-vendordata2
  * New upstream snapshot.
    - Update test characters in substitution unit test (#893)
    - cc_disk_setup.py: remove UDEVADM_CMD definition as not used (#886)
      [dermotbradley]
    - Add AlmaLinux OS support (#872) [Andrew Lukoshko]
    - Release 21.2 (#890) (LP: #1927254)
    - Add \r\n check for SSH keys in Azure (#889)
    - Revert "Add support to resize rootfs if using LVM (#721)" (#887)
      (LP: #1922742)
    - Add Vultaire as contributor (#881) [Paul Goins]
    - Azure: adding support for consuming userdata from IMDS (#884) [Anh Vo]
    - test_upgrade: modify test_upgrade_package to run for more sources (#883)
    - Fix chef module run failure when chef_license is set (#868) [Ben Hughes]
    - Azure: Retry net metadata during nic attach for non-timeout errs (#878)
      [aswinrajamannar]
    - Azure: Retrieve username and hostname from IMDS (#865) [Thomas Stringer]
    - Azure: eject the provisioning iso before reporting ready (#861) [Anh Vo]
    - Use `partprobe` to re-read partition table if available (#856)
      [Nicolas Bock] (LP: #1920939)
    - fix error on upgrade caused by new vendordata2 attributes (#869)
      (LP: #1922739)
    - add prefer_fqdn_over_hostname config option (#859)
      [hamalq] (LP: #1921004)
    - Emit dots on travis to avoid timeout (#867)
    - doc: Replace remaining references to user-scripts as a config module
      (#866) [Ryan Harper]
    - azure: Removing ability to invoke walinuxagent (#799) [Anh Vo]
    - Add Vultr support (#827) [David Dymko]
    - Fix unpickle for source paths missing run_dir (#863)
      [lucasmoura] (LP: #1899299)
    - sysconfig: use BONDING_MODULE_OPTS on SUSE (#831) [Jens Sandmann]
    - bringup_static_routes: fix gateway check (#850) [Petr Fedchenkov]
    - add hamalq user (#860) [hamalq]
    - Add support to resize rootfs if using LVM (#721)
      [Eduardo Otubo] (LP: #1799953)
    - Fix mis-detecting network configuration in initramfs cmdline (#844)
      (LP: #1919188)
    - tools/write-ssh-key-fingerprints: do not display empty header/footer
      (#817) [dermotbradley]
    - Azure helper: Ensure Azure http handler sleeps between retries (#842)
      [Johnson Shi]
    - Fix chef apt source example (#826) [timothegenzmer]

 -- James Falcon <james.falcon@canonical.com>  Tue, 11 May 2021 11:52:54 -0500

cloud-init (21.1-19-gbad84ad4-0ubuntu3) hirsute; urgency=medium

  * cherry-pick 83f6bbfb: Fix unpickle for source paths missing run_dir
    (#863) (LP: #1899299)
  * cherry-pick d132356c: fix error on upgrade caused by new vendordata2
    attributes (LP: #1922739)

 -- James Falcon <james.falcon@canonical.com>  Mon, 19 Apr 2021 13:41:21 -0500

cloud-init (21.1-19-gbad84ad4-0ubuntu2) hirsute; urgency=medium

  * debian/cloud-init.templates: enable UpCloud by default

 -- James Falcon <james.falcon@canonical.com>  Mon, 22 Mar 2021 14:08:51 -0500

cloud-init (21.1-19-gbad84ad4-0ubuntu1) hirsute; urgency=medium
  * d/cloud-init.postinst: Change output log permissions on upgrade
    (LP: #1918303)
  * New upstream snapshot.
    - .travis.yml: generate an SSH key before running tests (#848)
    - write passwords only to serial console, lock down cloud-init-output.log
      (#847) (LP: #1918303)
    - Fix apt default integration test (#845)
    - integration_tests: bump pycloudlib dependency (#846)
    - commit f35181fa970453ba6c7c14575b12185533391b97 [eb3095]
    - archlinux: Fix broken locale logic (#841)
      [Kristian Klausen] (LP: #1402406)
    - Integration test for #783 (#832)
    - integration_tests: mount more paths IN_PLACE (#838)
    - Fix requiring device-number on EC2 derivatives (#836) (LP: #1917875)
    - Remove the vi comment from the part-handler example (#835)
    - net: exclude OVS internal interfaces in get_interfaces (#829)
      (LP: #1912844)
    - tox.ini: pass OS_* environment variables to integration tests (#830)
    - integration_tests: add OpenStack as a platform (#804)
    - Add flexibility to IMDS api-version (#793) [Thomas Stringer]
    - Fix the TestApt tests using apt-key on Xenial and Hirsute (#823)
      [Paride Legovini] (LP: #1916629)
    - doc: remove duplicate "it" from nocloud.rst (#825) [V.I. Wood]
    - archlinux: Use hostnamectl to set the transient hostname (#797)
      [Kristian Klausen]
    - cc_keys_to_console.py: Add documentation for recently added config key
      (#824) [dermotbradley]
    - Update cc_set_hostname documentation (#818) [Toshi Aoyama]

 -- James Falcon <james.falcon@canonical.com>  Fri, 19 Mar 2021 14:32:13 -0500

cloud-init (21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
    - Release 21.1 (#820) (LP: #1916540)
    - Azure: Support for VMs without ephemeral resource disks. (#800)
      [Johnson Shi] (LP: #1901011)
    - cc_keys_to_console: add option to disable key emission (#811)
      [Michael Hudson-Doyle] (LP: #1915460)
    - integration_tests: introduce lxd_use_exec mark (#802)
    - azure: case-insensitive UUID to avoid new IID during kernel upgrade
      (#798) (LP: #1835584)
    - stale.yml: don't ask submitters to reopen PRs (#816)
    - integration_tests: fix use of SSH agent within tox (#815)
    - integration_tests: add UPGRADE CloudInitSource (#812)
    - integration_tests: use unique MAC addresses for tests (#813)
    - Update .gitignore (#814)
    - Port apt cloud_tests to integration tests (#808)
    - integration_tests: fix test_gh626 on LXD VMs (#809)
    - Fix attempting to decode binary data in test_seed_random_data test (#806)
    - Remove wait argument from tests with session_cloud calls (#805)
    - Datasource for UpCloud (#743) [Antti Myyrä]
    - test_gh668: fix failure on LXD VMs (#801)
    - openstack: read the dynamic metadata group vendor_data2.json (#777)
      [Andrew Bogott] (LP: #1841104)
    - includedir in suoders can be prefixed by "arroba" (#783)
      [Jordi Massaguer Pla]

 -- James Falcon <james.falcon@canonical.com>  Tue, 23 Feb 2021 10:06:10 -0500

cloud-init (20.4.1-79-g71564dce-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot.
    - Release 20.4.1 (LP: #1911680)
    - [VMware] change default max wait time to 15s (#774) [xiaofengw-vmware]
    - Revert integration test associated with reverted #586 (#784)
    - Add jordimassaguerpla as contributor (#787) [Jordi Massaguer Pla]
    - Add Rick Harding to CLA signers (#792) [Rick Harding]
    - HACKING.rst: add clarifying note to LP CLA process section (#789)
    - Stop linting cloud_tests (#791)
    - cloud-tests: update cryptography requirement (#790) [Joshua Powers]
    - Remove 'remove-raise-on-failure' calls from integration_tests (#788)
    - Use more cloud defaults in integration tests (#757)
    - Adding self to cla signers (#776) [Andrew Bogott]
    - doc: avoid two warnings (#781) [Dan Kenigsberg]
    - Use proper spelling for Red Hat (#778) [Dan Kenigsberg]

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 28 Jan 2021 10:50:23 -0500

cloud-init (20.4-66-gad23441d-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot.
    - Add antonyc to .github-cla-signers (#747) [Anton Chaporgin]
    - integration_tests: log image serial if available (#772)
    - Revert "ssh_util: handle non-default AuthorizedKeysFile config (#586)"
      (#775) (LP: #1911680)
    - [VMware] Support cloudinit raw data feature (#691) [xiaofengw-vmware]
    - net: Fix static routes to host in eni renderer (#668) [Pavel Abalikhin]
    - .travis.yml: don't run cloud_tests in CI (#756)
    - test_upgrade: add some missing commas (#769)
    - cc_seed_random: update documentation and fix integration test (#771)
      (LP: #1911227)
    - Fix test gh-632 test to only run on NoCloud (#770) (LP: #1911230)
    - archlinux: fix package upgrade command handling (#768) [Bao Trinh]
    - integration_tests: add integration test for LP: #1910835 (#761)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 20 Jan 2021 13:15:55 -0500

cloud-init (20.4-55-g4f62ae8d-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot.
    - Fix regression with handling of IMDS ssh keys (#760) [Thomas Stringer]
    - integration_tests: log cloud-init version in SUT (#758)
    - Add ajmyyra as contributor (#742) [Antti Myyrä]
    - net_convert: add some missing help text (#755)
    - Missing IPV6_AUTOCONF=no to render sysconfig dhcp6 stateful on RHEL
      (#753) [Eduardo Otubo]
    - doc: document missing IPv6 subnet types (#744) [Antti Myyrä]
    - Add example configuration for datasource `AliYun` (#751) [Xiaoyu Zhong]
    - integration_tests: add SSH key selection settings (#754)
    - fix a typo in man page cloud-init.1 (#752) [Amy Chen]
    - network-config-format-v2.rst: add Netplan Passthrough section (#750)
    - stale: re-enable post holidays (#749)
    - integration_tests: port ca_certs tests from cloud_tests (#732)
    - Azure: Add telemetry for poll IMDS (#741) [Johnson Shi]
    - doc: move testing section from HACKING to its own doc (#739)
    - No longer allow integration test failures on travis (#738)
    - stale: fix error in definition (#740)
    - integration_tests: set log-cli-level to INFO by default (#737)
    - PULL_REQUEST_TEMPLATE.md: use backticks around commit message (#736)
    - stale: disable check for holiday break (#735)
    - integration_tests: log the path we collect logs into (#733)
    - .travis.yml: add (most) supported Python versions to CI (#734)
    - integration_tests: fix IN_PLACE CLOUD_INIT_SOURCE (#731)
    - cc_ca_certs: add RHEL support (#633) [cawamata]
    - Azure: only generate config for NICs with addresses (#709)
      [Thomas Stringer]
    - doc: fix CloudStack configuration example (#707) [Olivier Lemasle]
    - integration_tests: restrict test_lxd_bridge appropriately (#730)
    - Add integration tests for CLI functionality (#729)
    - Integration test for gh-626 (#728)
    - Some test_upgrade fixes (#726)
    - Ensure overriding test vars with env vars works for booleans (#727)
    - integration_tests: port lxd_bridge test from cloud_tests (#718)
    - Integration test for gh-632. (#725)
    - Integration test for gh-671 (#724)
    - integration-requirements.txt: bump pycloudlib commit (#723)
    - Drop unnecessary shebang from cmd/main.py (#722) [Eduardo Otubo]
    - Integration test for LP: #1813396 and #669 (#719)
    - integration_tests: include timestamp in log output (#720)
    - integration_tests: add test for LP: #1898997 (#713)
    - Add integration test for power_state_change module (#717)
    - Update documentation for network-config-format-v2 (#701) [ggiesen]
    - sandbox CA Cert tests to not require ca-certificates (#715)
      [Eduardo Otubo]
    - Add upgrade integration test (#693)
    - Integration test for 570 (#712)
    - Add ability to keep snapshotted images in integration tests (#711)
    - Integration test for pull #586 (#706)
    - integration_tests: introduce skipping of tests by OS (#702)
    - integration_tests: introduce IntegrationInstance.restart (#708)
    - Add lxd-vm to list of valid integration test platforms (#705)
    - Adding BOOTPROTO = dhcp to render sysconfig dhcp6 stateful on RHEL
      (#685) [Eduardo Otubo]
    - Delete image snapshots created for integration tests (#682)
    - Parametrize ssh_keys_provided integration test (#700) [lucasmoura]
    - Drop use_sudo attribute on IntegrationInstance (#694) [lucasmoura]
    - cc_apt_configure: add riscv64 as a ports arch (#687)
      [Dimitri John Ledkov]
    - cla: add xnox (#692) [Dimitri John Ledkov]
    - Collect logs from integration test runs (#675)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Mon, 11 Jan 2021 16:57:30 -0500

cloud-init (20.4-0ubuntu2) hirsute; urgency=medium

  * d/cloud-init.manpages: include upstream manpages in package (LP: #1908548)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Mon, 04 Jan 2021 10:44:13 -0500

cloud-init (20.4-0ubuntu1) hirsute; urgency=medium

  * d/control: add gnupg to Recommends as cc_apt_configure requires it to be
    installed for some operations.
  * New upstream release.
    - Release 20.4 (#686) [James Falcon] (LP: #1905440)
    - tox: avoid tox testenv subsvars for xenial support (#684)
    - Ensure proper root permissions in integration tests (#664) [James Falcon]
    - LXD VM support in integration tests (#678) [James Falcon]
    - Integration test for fallocate falling back to dd (#681) [James Falcon]
    - .travis.yml: correctly integration test the built .deb (#683)
    - Ability to hot-attach NICs to preprovisioned VMs before reprovisioning
      (#613) [aswinrajamannar]
    - Support configuring SSH host certificates. (#660) [Jonathan Lung]
    - add integration test for LP: #1900837 (#679)
    - cc_resizefs on FreeBSD: Fix _can_skip_ufs_resize (#655)
      [Mina Galić] (LP: #1901958, #1901958)
    - DataSourceAzure: push dmesg log to KVP (#670) [Anh Vo]
    - Make mount in place for tests work (#667) [James Falcon]
    - integration_tests: restore emission of settings to log (#657)
    - DataSourceAzure: update password for defuser if exists (#671) [Anh Vo]
    - tox.ini: only select "ci" marked tests for CI runs (#677)
    - Azure helper: Increase Azure Endpoint HTTP retries (#619) [Johnson Shi]
    - DataSourceAzure: send failure signal on Azure datasource failure (#594)
      [Johnson Shi]
    - test_persistence: simplify VersionIsPoppedFromState (#674)
    - only run a subset of integration tests in CI (#672)
    - cli: add --system param to allow validating system user-data on a
      machine (#575)
    - test_persistence: add VersionIsPoppedFromState test (#673)
    - introduce an upgrade framework and related testing (#659)
    - add --no-tty option to gpg (#669) [Till Riedel] (LP: #1813396)
    - Pin pycloudlib to a working commit (#666) [James Falcon]
    - DataSourceOpenNebula: exclude SRANDOM from context output (#665)
    - cloud_tests: add hirsute release definition (#662)
    - split integration and cloud_tests requirements (#652)
    - faq.rst: add warning to answer that suggests running `clean` (#661)
    - Fix stacktrace in DataSourceRbxCloud if no metadata disk is found (#632)
      [Scott Moser]
    - Make wakeonlan Network Config v2 setting actually work (#626)
      [dermotbradley]
    - HACKING.md: unify network-refactoring namespace (#658) [Mina Galić]
    - replace usage of dmidecode with kenv on FreeBSD (#621) [Mina Galić]
    - Prevent timeout on travis integration tests. (#651) [James Falcon]
    - azure: enable pushing the log to KVP from the last pushed byte  (#614)
      [Moustafa Moustafa]
    - Fix launch_kwargs bug in integration tests (#654) [James Falcon]
    - split read_fs_info into linux & freebsd parts (#625) [Mina Galić]
    - PULL_REQUEST_TEMPLATE.md: expand commit message section (#642)
    - Make some language improvements in growpart documentation (#649)
      [Shane Frasier]
    - Revert ".travis.yml: use a known-working version of lxd (#643)" (#650)
    - Fix not sourcing default 50-cloud-init ENI file on Debian (#598)
      [WebSpider]
    - remove unnecessary reboot from gpart resize (#646) [Mina Galić]
    - cloudinit: move dmi functions out of util (#622) [Scott Moser]
    - integration_tests: various launch improvements (#638)
    - test_lp1886531: don't assume /etc/fstab exists (#639)
    - Remove Ubuntu restriction from PR template (#648) [James Falcon]
    - util: fix mounting of vfat on *BSD (#637) [Mina Galić]
    - conftest: improve docstring for disable_subp_usage (#644)
    - doc: add example query commands to debug Jinja templates (#645)
    - Correct documentation and testcase data for some user-data YAML (#618)
      [dermotbradley]
    - Hetzner: Fix instance_id / SMBIOS serial comparison (#640)
      [Markus Schade]
    - .travis.yml: use a known-working version of lxd (#643)
    - tools/build-on-freebsd: fix comment explaining purpose of the script
      (#635) [Mina Galić]
    - Hetzner: initialize instance_id from system-serial-number (#630)
      [Markus Schade] (LP: #1885527)
    - Explicit set IPV6_AUTOCONF and IPV6_FORCE_ACCEPT_RA on static6 (#634)
      [Eduardo Otubo]
    - get_interfaces: don't exclude Open vSwitch bridge/bond members (#608)
      [Lukas Märdian] (LP: #1898997)
    - Add config modules for controlling IBM PowerVM RMC. (#584)
      [Aman306] (LP: #1895979)
    - Update network config docs to clarify MAC address quoting (#623)
      [dermotbradley]
    - gentoo: fix hostname rendering when value has a comment (#611)
      [Manuel Aguilera]
    - refactor integration testing infrastructure (#610) [James Falcon]
    - stages: don't reset permissions of cloud-init.log every boot (#624)
      (LP: #1900837)
    - docs: Add how to use cloud-localds to boot qemu (#617) [Joshua Powers]
    - Drop vestigial update_resolve_conf_file function (#620) [Scott Moser]
    - cc_mounts: correctly fallback to dd if fallocate fails (#585)
      (LP: #1897099)
    - .travis.yml: add integration-tests to Travis matrix (#600)
    - ssh_util: handle non-default AuthorizedKeysFile config (#586)
      [Eduardo Otubo]
    - Multiple file fix for AuthorizedKeysFile config (#60) [Eduardo Otubo]
    - bddeb: new --packaging-branch argument to pull packaging from branch
      (#576) [Paride Legovini]
    - Add more integration tests (#615) [lucasmoura]
    - DataSourceAzure: write marker file after report ready in preprovisioning
      (#590) [Johnson Shi]
    - integration_tests: emit settings to log during setup (#601)
    - integration_tests: implement citest tests run in Travis (#605)
    - Add Azure support to integration test framework (#604) [James Falcon]
    - openstack: consider product_name as valid chassis tag (#580)
      [Adrian Vladu] (LP: #1895976)
    - azure: clean up and refactor report_diagnostic_event (#563) [Johnson Shi]
    - net: add the ability to blacklist network interfaces based on driver
      during enumeration of physical network devices (#591) [Anh Vo]
    - integration_tests: don't error on cloud-init failure (#596)
    - integration_tests: improve cloud-init.log assertions (#593)
    - conftest.py: remove top-level import of httpretty (#599)
    - tox.ini: add integration-tests testenv definition (#595)
    - PULL_REQUEST_TEMPLATE.md: empty checkboxes need a space (#597)
    - add integration test for LP: #1886531 (#592)
    - Initial implementation of integration testing infrastructure (#581)
      [James Falcon]
    - Fix name of ntp and chrony service on CentOS and RHEL. (#589)
      [Scott Moser] (LP: #1897915)
    - Adding a PR template (#587) [James Falcon]
    - Azure parse_network_config uses fallback cfg when generate IMDS network
      cfg fails (#549) [Johnson Shi]
    - features: refresh docs for easier out-of-context reading (#582)
    - Fix typo in resolv_conf module's description (#578) [Wacław Schiller]
    - cc_users_groups: minor doc formatting fix (#577)
    - Fix typo in disk_setup module's description (#579) [Wacław Schiller]
    - Add vendor-data support to seedfrom parameter for NoCloud and OVF (#570)
      [Johann Queuniet]
    - boot.rst: add First Boot Determination section (#568) (LP: #1888858)
    - opennebula.rst: minor readability improvements (#573) [Mina Galić]
    - cloudinit: remove unused LOG variables (#574)

 -- James Falcon <james.falcon@canonical.com>  Tue, 24 Nov 2020 12:32:00 -0600

cloud-init (20.3-15-g6d332e5c-0ubuntu1) groovy; urgency=medium

  * d/cloud-init.postinst: fix the grub install device for NVMe-rooted
    instances on upgrade.  (LP: #1889555)
  * d/cloud-init.templates: add RbxCloud to Choices-C.
  * Add d/clean to fully clean the build artifacts.
  * d/control:
    - Bump Standards-Version to 4.5.0, no changes needed.
    - B-D on debhelper-compat; drop d/compat.
  * Bump the debhelper compat level to 13. Required changes:
    - Stop including the dh systemd plugin.
    - Switch from dh_systemd_start to dh_installsystemd
  * New upstream snapshot.
    - create a shutdown_command method in distro classes (#567)
      [Emmanuel Thomé]
    - user_data: remove unused constant (#566)
    - network: Fix type and respect name when rendering vlan in
      sysconfig. (#541) [Eduardo Otubo] (LP: #1788915, #1826608)
    - Retrieve SSH keys from IMDS first with OVF as a fallback (#509)
      [Thomas Stringer]
    - Add jqueuniet as contributor (#569) [Johann Queuniet]
    - distros: minor typo fix (#562)
    - Bump the integration-requirements versioned dependencies (#565)
      [Paride Legovini]
    - network-config-format-v1: fix typo in nameserver example (#564)
      [Stanislas]
    - Run cloud-init-local.service after the hv_kvp_daemon (#505)
      [Robert Schweikert]
    - Add method type hints for Azure helper (#540) [Johnson Shi]
    - systemd: add Before=shutdown.target when Conflicts=shutdown.target is
      used (#546) [Paride Legovini]
    - LXD: detach network from profile before deleting it (#542)
      [Paride Legovini] (LP: #1776958)
    - redhat spec: add missing BuildRequires (#552) [Paride Legovini]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 15 Sep 2020 20:19:10 -0600

cloud-init (20.3-2-g371b392c-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - util: remove debug statement (#556) [Joshua Powers]
    - Fix cloud config on chef example (#551) [lucasmoura]

 -- James Falcon <james.falcon@canonical.com>  Wed, 26 Aug 2020 12:49:05 -0500

cloud-init (20.3-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Release 20.3 (#547) [James Falcon] (LP: #1892878)
    - tox: bump the pylint version to 2.6.0 in the default run (#544)
      [Paride Legovini]
    - Azure: Add netplan driver filter when using hv_netvsc driver (#539)
      [James Falcon] (LP: #1830740)
    - query: do not handle non-decodable non-gzipped content (#543)
    - DHCP sandboxing failing on noexec mounted /var/tmp (#521) [Eduardo Otubo]
    - Update the list of valid ssh keys. (#487)
      [Ole-Martin Bratteng] (LP: #1877869)
    - cmd: cloud-init query to handle compressed userdata (#516) (LP: #1889938)
    - Pushing cloud-init log to the KVP (#529) [Moustafa Moustafa]
    - Add Alpine Linux support. (#535) [dermotbradley]
    - Detect kernel version before swap file creation (#428) [Eduardo Otubo]
    - cli: add devel make-mime subcommand (#518)
    - user-data: only verify mime-types for TYPE_NEEDED and x-shellscript
      (#511) (LP: #1888822)
    - DataSourceOracle: retry twice (and document why we retry at all) (#536)
    - Refactor Azure report ready code (#468) [Johnson Shi]
    - tox.ini: pin correct version of httpretty in xenial{,-dev} envs (#531)
    - Support Oracle IMDSv2 API (#528) [James Falcon]
    - .travis.yml: run a doc build during CI (#534)
    - doc/rtd/topics/datasources/ovf.rst: fix doc8 errors (#533)
    - Fix 'Users and Groups' configuration documentation (#530) [sshedi]
    - cloudinit.distros: update docstrings of add_user and create_user (#527)
    - Fix headers for device types in network v2 docs (#532)
      [Caleb Xavier Berger]
    - Add AlexBaranowski as contributor (#508) [Aleksander Baranowski]
    - DataSourceOracle: refactor to use only OPC v1 endpoint (#493)
    - .github/workflows/stale.yml: s/Josh/Rick/ (#526)
    - Fix a typo in apt pipelining module (#525) [Xiao Liang]
    - test_util: parametrize devlist tests (#523) [James Falcon]
    - Recognize LABEL_FATBOOT labels (#513) [James Falcon] (LP: #1841466)
    - Handle additional identifier for SLES For HPC (#520) [Robert Schweikert]
    - Revert "test-requirements.txt: pin pytest to <6 (#512)" (#515)
    - test-requirements.txt: pin pytest to <6 (#512)
    - Add "tsanghan" as contributor (#504) [tsanghan]
    - fix brpm building (LP: #1886107)
    - Adding eandersson as a contributor (#502) [Erik Olof Gunnar Andersson]
    - azure: disable bouncing hostname when setting hostname fails (#494)
      [Anh Vo]
    - VMware: Support parsing DEFAULT-RUN-POST-CUST-SCRIPT (#441)
      [xiaofengw-vmware]
    - DataSourceAzure: Use ValueError when JSONDecodeError is not available
      (#490) [Anh Vo]
    - cc_ca_certs.py: fix blank line problem when removing CAs and adding
      new one (#483) [dermotbradley]
    - freebsd: py37-serial is now py37-pyserial (#492) [Gonéri Le Bouder]
    - ssh exit with non-zero status on disabled user (#472)
      [Eduardo Otubo] (LP: #1170059)
    - cloudinit: remove global disable of pylint W0107 and fix errors (#489)
    - networking: refactor wait_for_physdevs from cloudinit.net (#466)
      (LP: #1884626)
    - HACKING.rst: add pytest.param pytest gotcha (#481)
    - cloudinit: remove global disable of pylint W0105 and fix errors (#480)
    - Fix two minor warnings (#475)
    - test_data: fix faulty patch (#476)

 -- James Falcon <james.falcon@canonical.com>  Tue, 25 Aug 2020 15:27:53 -0500

cloud-init (20.2-94-g3d06abc2-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - cc_mounts: handle missing fstab (#484) (LP: #1886531)
    - LXD cloud_tests: support more lxd image formats (#482) [Paride Legovini]
    - Add update_etc_hosts as default module on *BSD (#479) [Adam Dobrawy]
    - cloudinit: fix tip-pylint failures and bump pinned pylint version (#478)
    - Added BirknerAlex as contributor and sorted the file (#477)
      [Alexander Birkner]
    - Update list of types of modules in cli.rst [saurabhvartak1982]
    - tests: use markers to configure disable_subp_usage (#473)
    - Add mention of vendor-data to no-cloud format documentation (#470)
      [Landon Kirk]
    - Fix broken link to OpenStack metadata service docs (#467)
      [Matt Riedemann]
    - Disable ec2 mirror for non aws instances (#390)
      [lucasmoura] (LP: #1456277)
    - cloud_tests: don't pass --python-version to read-dependencies (#465)
    - networking: refactor is_physical from cloudinit.net (#457) (LP: #1884619)
    - Enable use of the caplog fixture in pytest tests, and add a
      cc_final_message test using it (#461)
    - RbxCloud: Add support for FreeBSD (#464) [Adam Dobrawy]
    - Add schema for cc_chef module (#375) [lucasmoura] (LP: #1858888)
    - test_util: add (partial) testing for util.mount_cb (#463)
    - .travis.yml: revert to installing ubuntu-dev-tools (#460)
    - HACKING.rst: add details of net refactor tracking (#456)
    - .travis.yml: rationalise installation of dependencies in host (#449)
    - Add dermotbradley as contributor. (#458) [dermotbradley]
    - net/networking: remove unused functions/methods (#453)
    - distros.networking: initial implementation of layout (#391)
    - cloud-init.service.tmpl: use "rhel" instead of "redhat" (#452)
    - Change from redhat to rhel in systemd generator tmpl (#450)
      [Eduardo Otubo]
    - Hetzner: support reading user-data that is base64 encoded. (#448)
      [Scott Moser] (LP: #1884071)
    - HACKING.rst: add strpath gotcha to testing gotchas section (#446)
    - cc_final_message: don't create directories when writing boot-finished
      (#445) (LP: #1883903)
    - .travis.yml: only store new schroot if something has changed (#440)
    - util: add ensure_dir_exists parameter to write_file (#443)
    - printing the error stream of the dhclient process before killing it
      (#369) [Moustafa Moustafa]
    - Fix link to the MAAS documentation (#442)
      [Paride Legovini] (LP: #1883666)
    - RPM build: disable the dynamic mirror URLs when using a proxy (#437)
      [Paride Legovini]
    - util: rename write_file's copy_mode parameter to preserve_mode (#439)
    - .travis.yml: use $TRAVIS_BUILD_DIR for lxd_image caching (#438)
    - cli.rst: alphabetise devel subcommands and add net-convert to list (#430)
    - Default to UTF-8 in /var/log/cloud-init.log (#427) [James Falcon]
    - travis: cache the chroot we use for package builds (#429)
    - test: fix all flake8 E126 errors (#425) [Joshua Powers]
    - Fixes KeyError for bridge with no "parameters:" setting (#423)
      [Brian Candler] (LP: #1879673)
    - When tools.conf does not exist, running cmd "vmware-toolbox-cmd
      config get deployPkg enable-custom-scripts", the return code will
      be EX_UNAVAILABLE(69), on this condition, it should not take it as
      error. (#413) [chengcheng-chcheng]
    - Document CloudStack data-server well-known hostname (#399) [Gregor Riepl]
    - test: move conftest.py to top-level, to cover tests/ also (#414)
    - Replace cc_chef is_installed with use of subp.is_exe. (#421)
      [Scott Moser]
    - Move runparts to subp. (#420) [Scott Moser]
    - Move subp into its own module. (#416) [Scott Moser]
    - readme: point at travis-ci.com (#417) [Joshua Powers]
    - New feature flag functionality and fix includes failing silently (#367)
      [James Falcon] (LP: #1734939)
    - Enhance poll imds logging (#365) [Moustafa Moustafa]
    - test: fix all flake8 E121 and E123 errors (#404) [Joshua Powers]

 -- Daniel Watkins <oddbloke@ubuntu.com>  Fri, 10 Jul 2020 09:11:25 -0400

cloud-init (20.2-45-g5f7825e2-0ubuntu1) groovy; urgency=medium

  * d/control: drop python3-six, python3-unittest2, python3-pep8,
    python3-pyflakes and python3-nose from Build-Depends.
  * New upstream snapshot.
    - test: fix all flake8 E241 (#403) [Joshua Powers]
    - test: ignore flake8 E402 errors in main.py (#402) [Joshua Powers]
    - cc_grub_dpkg: determine idevs in more robust manner with grub-probe
      (#358) [Matthew Ruffell] (LP: #1877491)
    - test: fix all flake8 E741 errors (#401) [Joshua Powers]
    - tests: add groovy integration tests for ubuntu (#400)
    - Enable chef_license support for chef infra client (#389) [Bipin Bachhao]
    - testing: use flake8 again (#392) [Joshua Powers]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 02 Jun 2020 09:51:50 -0600

cloud-init (20.2-38-g8377897b-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - enable Puppet, Chef mcollective in default config (#385)
      [Mina Galić (deprecated: Igor Galić)] (LP: #1880279)
    - HACKING.rst: introduce .net -> Networking refactor section (#384)
    - Travis: do not install python3-contextlib2 (dropped dependency) (#388)
      [Paride Legovini]
    - HACKING: mention that .github-cla-signers is alpha-sorted (#380)
    - Add bipinbachhao as contributor (#379) [Bipin Bachhao]
    - cc_snap: validate that assertions property values are strings (#370)
    - conftest: implement partial disable_subp_usage (#371)
    - test_resolv_conf: refresh stale comment (#374)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 27 May 2020 14:36:46 -0600

cloud-init (20.2-30-g8bcf1c06-0ubuntu1) groovy; urgency=medium

  * d/control: drop pyflakes as Build-Depends
    - upstream uses python3-pyflakes now
  * New upstream snapshot.
    - cc_snap: apply validation to snap.commands properties (#364)
    - make finding libc platform independent (#366)
      [Mina Galić (deprecated: Igor Galić)]
    - doc/rtd/topics/faq: Updates LXD docs links to current site (#368) [TomP]
    - templater: drop Jinja Python 2 compatibility shim (#353)
    - cloudinit: minor pylint fixes (#360)
    - cloudinit: remove unneeded __future__ imports (#362)
    - migrating momousta lp user to Moustafa-Moustafa GitHub user (#361)
      [Moustafa Moustafa]
    - cloud_tests: emit dots on Travis while fetching images (#347)
    - Add schema to apt configure config (#357) [lucasmoura] (LP: #1858884)
    - conftest: add docs and tests regarding CiTestCase's subp functionality
      (#343)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 18 May 2020 16:24:16 -0600

cloud-init (20.2-20-gd10ce3ec-0ubuntu1) groovy; urgency=medium

  * drop the following cherry-picks now included:
    + cpick-6600c642-ec2-render-network-on-all-NICs-and-add-secondary-IPs-as
    + cpick-986f37b0-cloudinit-move-to-pytest-for-running-tests-211
    + cpick-4fb6fd8a-net-ubuntu-focal-prioritize-netplan-over-eni-even-if
    + cpick-04771d75-cc_disk_setup-fix-RuntimeError-270
    + cpick-c5e949c0-distros-tests-test_init-add-tests-for
    + cpick-2566fdbe-net-introduce-is_ip_address-function-288
    + cpick-4f825b3e-cloudinit-refactor-util.is_ipv4-to-net.is_ipv4_address
    + cpick-c478d0bf-distros-replace-invalid-characters-in-mirror-URLs-with
    + cpick-1bbc4908-distros-drop-leading-trailing-hyphens-from-mirror-URL
    + cpick-09fea85f-net-ignore-renderer-key-in-netplan-config-306
    + fix-cpick-4fb6fd8a-net-ubuntu-focal-prioritize-netplan-over-eni.patch
    + cpick-9d7b35ce-cc_mounts-fix-incorrect-format-specifiers-316
    + cpick-0c5c7367-test_mounts-expand-happy-path-test-for-both-happy-paths
  * New upstream snapshot.
    - analyze/dump: refactor shared string into variable (#350)
    - doc: update boot.rst with correct timing of runcmd (#351)
    - HACKING.rst: change contact info to Rick Harding (#359) [lucasmoura]
    - HACKING.rst: guide people to add themselves to the CLA file (#349)
    - HACKING.rst: more unit testing documentation (#354)
    - .travis.yml: don't run lintian during integration test package builds
      (#352)
    - Add test to ensure docs examples are valid cloud-init configs (#355)
      [James Falcon] (LP: #1876414)
    - make suse and sles support 127.0.1.1 (#336) [chengcheng-chcheng]
    - Create tests to validate schema examples (#348)
      [lucasmoura] (LP: #1876412)
    - analyze/dump: add support for Amazon Linux 2 log lines (#346)
      (LP: #1876323)
    - bsd: upgrade support (#305) [Gonéri Le Bouder]
    - Add lucasmoura as contributor (#345) [lucasmoura]
    - Add "therealfalcon" as contributor (#344) [James Falcon]
    - Adapt the package building scripts to use Python 3 (#231)
      [Paride Legovini]
    - DataSourceEc2: use metadata's NIC ordering to determine route-metrics
      (#342) (LP: #1876312)
    - .travis.yml: introduce caching (#329)
    - cc_locale: introduce schema (#335)
    - doc/rtd/conf.py: bump copyright year to 2020 (#341)
    - yum_add_repo: Add Centos to the supported distro list (#340)
    - Release 20.2 (#337) (LP: #1875951)
    - doc/format: reference make-mime.py instead of an inline script (#334)
    - Add docs about  creating parent folders (#330) [Adrian Wilkins]
    - DataSourceNoCloud/OVF: drop claim to support FTP (#333) (LP: #1875470)
    - schema: ignore spurious pylint error (#332)
    - schema: add json schema for write_files module (#152)
    - BSD: find_devs_with_ refactoring (#298) [Gonéri Le Bouder]
    - nocloud: drop work around for Linux 2.6 (#324) [Gonéri Le Bouder]
    - cloudinit: drop dependencies on unittest2 and contextlib2 (#322)
    - distros: handle a potential mirror filtering error case (#328)
    - log: remove unnecessary import fallback logic (#327)
    - .travis.yml: don't run integration test on ubuntu/* branches (#321)
    - More unit test documentation (#314)
    - conftest: introduce disable_subp_usage autouse fixture (#304)
    - YAML align indent sizes for docs readability  (#323) [Tak Nishigori]
    - network_state: add missing space to log message (#325)
    - tests: add missing mocks for get_interfaces_by_mac (#326) (LP: #1873910)
    - test_mounts: expand happy path test for both happy paths (#319)
    - cc_mounts: fix incorrect format specifiers (#316) (LP: #1872836)
    - swap file "size" being used before checked if str (#315) [Eduardo Otubo]
    - HACKING.rst: add pytest version gotchas section (#311)
    - docs: Add steps to re-run cloud-id and cloud-init (#313) [Joshua Powers]
    - readme: OpenBSD is now supported (#309) [Gonéri Le Bouder]
    - net: ignore 'renderer' key in netplan config (#306) (LP: #1870421)
    - Add support for NFS/EFS mounts (#300) [Andrew Beresford] (LP: #1870370)
    - openbsd: set_passwd should not unlock user (#289) [Gonéri Le Bouder]
    - tools/.github-cla-signers: add beezly as CLA signer (#301)
    - util: remove unnecessary lru_cache import fallback (#299)
    - HACKING.rst: reorganise/update CLA signature info (#297)
    - distros: drop leading/trailing hyphens from mirror URL labels (#296)
    - HACKING.rst: add note about variable annotations (#295)
    - CiTestCase: stop using and remove sys_exit helper (#283)
    - distros: replace invalid characters in mirror URLs with hyphens (#291)
      (LP: #1868232)
    - rbxcloud: gracefully handle arping errors (#262) [Adam Dobrawy]
    - Fix cloud-init ignoring some misdeclared mimetypes in user-data.
      [Kurt Garloff]
    - net: ubuntu focal prioritize netplan over eni even if both present
      (#267) (LP: #1867029)
    - cloudinit: refactor util.is_ipv4 to net.is_ipv4_address (#292)
    - net/cmdline: replace type comments with annotations (#294)
    - HACKING.rst: add Type Annotations design section (#293)
    - net: introduce is_ip_address function (#288)
    - CiTestCase: remove now-unneeded parse_and_read helper method (#286)
    - .travis.yml: allow 30 minutes of inactivity in cloud tests (#287)
    - sources/tests/test_init: drop use of deprecated inspect.getargspec (#285)
    - setup.py: drop NIH check_output implementation (#282)
    - Identify SAP Converged Cloud as OpenStack [Silvio Knizek]
    - add Openbsd support (#147) [Gonéri Le Bouder]
    - HACKING.rst: add examples of the two test class types (#278)
    - VMWware: support to update guest info gc status if enabled (#261)
      [xiaofengw-vmware]
    - Add lp-to-git mapping for kgarloff (#279)
    - set_passwords: avoid chpasswd on BSD (#268) [Gonéri Le Bouder]
    - HACKING.rst: add Unit Testing design section (#277)
    - util: read_cc_from_cmdline handle urlencoded yaml content (#275)
    - distros/tests/test_init: add tests for _get_package_mirror_info (#272)
    - HACKING.rst: add links to new Code Review Process doc (#276)
    - freebsd: ensure package update works (#273) [Gonéri Le Bouder]
    - doc: introduce Code Review Process documentation (#160)
    - tools: use python3 (#274)
    - cc_disk_setup: fix RuntimeError (#270) (LP: #1868327)
    - cc_apt_configure/util: combine search_for_mirror implementations (#271)
    - bsd: boottime does not depend on the libc soname (#269)
      [Gonéri Le Bouder]
    - test_oracle,DataSourceOracle: sort imports (#266)
    - DataSourceOracle: update .network_config docstring (#257)
    - cloudinit/tests: remove unneeded with_logs configuration (#263)
    - .travis.yml: drop stale comment (#255)
    - .gitignore: add more common directories (#258)
    - ec2: render network on all NICs and add secondary IPs as static (#114)
      (LP: #1866930)
    - ec2 json validation: fix the reference to the 'merged_cfg' key (#256)
      [Paride Legovini]
    - releases.yaml: quote the Ubuntu version numbers (#254) [Paride Legovini]
    - cloudinit: remove six from packaging/tooling (#253)
    - util/netbsd: drop six usage (#252)
    - workflows: introduce stale pull request workflow (#125)
    - cc_resolv_conf: introduce tests and stabilise output across Python
      versions (#251)
    - fix minor issue with resolv_conf template (#144) [andreaf74]
    - doc: CloudInit also support NetBSD (#250) [Gonéri Le Bouder]
    - Add Netbsd support (#62) [Gonéri Le Bouder]
    - tox.ini: avoid substition syntax that causes a traceback on xenial (#245)
    - Add pub_key_ed25519 to cc_phone_home (#237) [Daniel Hensby]
    - Introduce and use of a list of GitHub usernames that have signed CLA
      (#244)
    - workflows/cla.yml: use correct username for CLA check (#243)
    - tox.ini: use xenial version of jsonpatch in CI (#242)
    - workflows: CLA validation altered to fail status on pull_request (#164)
    - tox.ini: bump pyflakes version to 2.1.1 (#239)
    - cloudinit: move to pytest for running tests (#211)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 11 May 2020 20:17:06 -0600

cloud-init (20.1-10-g71af48df-0ubuntu5) focal; urgency=medium

  * cherry-pick 0c5c7367: test_mounts: expand happy path test for both
    happy paths

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 16 Apr 2020 11:23:08 -0400

cloud-init (20.1-10-g71af48df-0ubuntu4) focal; urgency=medium

  * cherry-pick 9d7b35ce: cc_mounts: fix incorrect format specifiers
    (#316) (LP: #1872836)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 15 Apr 2020 15:09:04 -0600

cloud-init (20.1-10-g71af48df-0ubuntu3) focal; urgency=medium

  * d/patches: redact openbsd netbsd from tests until new-upstream-snapshot
    - fix-cpick-4fb6fd8a-net-ubuntu-focal-prioritize-netplan-over-eni
  * cherry-pick 6600c642: ec2: render network on all NICs and add
    secondary IPs as (LP: #1866930)
  * cherry-pick 986f37b0: cloudinit: move to pytest for running tests
    (#211)
  * cherry-pick 4fb6fd8a: net: ubuntu focal prioritize netplan over eni
    even if both (LP: #1867029)
  * cherry-pick 04771d75: cc_disk_setup: fix RuntimeError (#270) (LP:
    #1868327)
  * cherry-pick c5e949c0: distros/tests/test_init: add tests for
  * cherry-pick 2566fdbe: net: introduce is_ip_address function (#288)
  * cherry-pick 4f825b3e: cloudinit: refactor util.is_ipv4 to
    net.is_ipv4_address
  * cherry-pick c478d0bf: distros: replace invalid characters in mirror
    URLs with (LP: #1868232)
  * cherry-pick 1bbc4908: distros: drop leading/trailing hyphens from
    mirror URL labels
  * cherry-pick 09fea85f: net: ignore 'renderer' key in netplan config
    (#306) (LP: #1870421)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 Apr 2020 13:57:52 -0600

cloud-init (20.1-10-g71af48df-0ubuntu2) focal; urgency=medium

  * d/control: add python3-pytest to Build-Depends
    - This fixes upstream daily builds.  python3-nose is not removed from
      Build-Depends because, currently, the Ubuntu package builds will still
      use it for testing.
  * cherry-pick 6600c642: ec2: render network on all NICs and add
    secondary IPs as (LP: #1866930)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 18 Mar 2020 14:01:37 -0600

cloud-init (20.1-10-g71af48df-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - instance-data: add cloud-init merged_cfg and sys_info keys to json
      (#214) (LP: #1865969)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 10 Mar 2020 11:14:53 -0600

cloud-init (20.1-9-g1f860e5a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot: bug-fix-only during feature freeze
    - ec2: Do not fallback to IMDSv1 on EC2 (#216)
      [Frederick Lefebvre] (LP: #1866290)
    - instance-data: write redacted cfg to instance-data.json (#233)
      (LP: #1865947)
    - net: support network-config:disabled on the kernel commandline (#232)
      (LP: #1862702)
    - ec2: only redact token request headers in logs, avoid altering request
      (#230) (LP: #1865882)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Mar 2020 11:01:15 -0700

cloud-init (20.1-5-g67c8e53c-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - docs: typo fixed: dta → data [Alexey Vazhnov]
    - Fixes typo on Amazon Web Services (#217) [Nick Wales]
    - Fix docs for OpenStack DMI Asset Tag (#228)
      [Mark T. Voelker] (LP: #1669875)
    - Add physical network type: cascading to openstack helpers (#200)
      [sab-systems]
    - tests: add focal integration tests for ubuntu (#225)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 27 Feb 2020 16:56:16 -0700

cloud-init (20.1-0ubuntu1) focal; urgency=medium

  * New upstream release.
    - Release 20.1 (#222) (LP: #1863954)
    - Update tooling for GitHub-based new releases (#223)
    - ec2: Do not log IMDSv2 token values, instead use REDACTED (#219)
      (LP: #1863943)
    - utils: use SystemRandom when generating random password. (#204)
      [Dimitri John Ledkov]
    - docs: mount_default_files is a list of 6 items, not 7 (#212)
    - azurecloud: fix issues with instances not starting (#205) (LP: #1861921)
    - unittest: fix stderr leak in cc_set_password random unittest
      output. (#208)
    - cc_disk_setup: add swap filesystem force flag (#207)
    - import sysvinit patches from freebsd-ports tree (#161) [Igor Galić]
    - docs: fix typo (#195) [Edwin Kofler]

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 20 Feb 2020 16:36:44 -0500

cloud-init (19.4-56-g06e324ff-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - sysconfig: distro-specific config rendering for BOOTPROTO option (#162)
      [Robert Schweikert] (LP: #1800854)
    - cloudinit: replace "from six import X" imports (except in util.py) (#183)
    - run-container: use 'test -n' instead of 'test ! -z' (#202)
      [Paride Legovini]
    - net/cmdline: correctly handle static ip= config (#201)
      [Dimitri John Ledkov] (LP: #1861412)
    - Replace mock library with unittest.mock (#186)
    - HACKING.rst: update CLA link (#199)
    - Scaleway: Fix DatasourceScaleway to avoid backtrace (#128)
      [Louis Bouchard]
    - cloudinit/cmd/devel/net_convert.py: add missing space (#191)
    - tools/run-container: drop support for python2 (#192) [Paride Legovini]
    - Print ssh key fingerprints using sha256 hash (#188) (LP: #1860789)
    - Make the RPM build use Python 3 (#190) [Paride Legovini]
    - cc_set_password: increase random pwlength from 9 to 20 (#189)
      (LP: #1860795) (CVE-2020-8632)
    - .travis.yml: use correct Python version for xenial tests (#185)
    - cloudinit: remove ImportError handling for mock imports (#182)
    - Do not use fallocate in swap file creation on xfs. (#70)
      [Eduardo Otubo] (LP: #1781781)
    - .readthedocs.yaml: install cloud-init when building docs (#181)
      (LP: #1860450)
    - Introduce an RTD config file, and pin the Sphinx version to the RTD
      default (#180)
    - Drop most of the remaining use of six (#179)
    - Start removing dependency on six (#178)
    - Add Rootbox & HyperOne to list of cloud in README (#176) [Adam Dobrawy]
    - docs: add proposed SRU testing procedure (#167)
    - util: rename get_architecture to get_dpkg_architecture (#173)
    - Ensure util.get_architecture() runs only once (#172)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 05 Feb 2020 13:56:17 -0700

cloud-init (19.4-33-gbb4131a2-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - Only use gpart if it is the BSD gpart (#131) [Conrad Hoffmann]
    - freebsd: remove superfluous exception mapping (#166) [Gonéri Le Bouder]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 14 Jan 2020 14:02:06 -0700

cloud-init (19.4-31-g3f6192b3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - ssh_auth_key_fingerprints_disable test: fix capitalization (#165)
      [Paride Legovini]
    - util: move uptime's else branch into its own boottime function (#53)
      [Igor Galić] (LP: #1853160)
    - net: fix rendering of 'static6' in network config (#77) (LP: #1850988)
    - fixed minor bug with mkswap in cc_disk_setup.py (#143) [andreaf74]
    - freebsd: fix create_group() cmd (#146) [Gonéri Le Bouder]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 13 Jan 2020 20:21:09 -0700

cloud-init (19.4-16-gf8950d63-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - Add support for the amazon variant in cloud.cfg.tmpl (#119)
      [Frederick Lefebvre]
    - ci: remove Python 2.7 from CI runs (#137)
    - modules: drop cc_snap_config config module (#134)
    - migrate-lp-user-to-github: ensure Launchpad repo exists (#136)
    - docs: add initial troubleshooting to FAQ (#104) [Joshua Powers]
    - doc: update cc_set_hostname frequency and descrip (#109)
      [Joshua Powers] (LP: #1827021)
    - freebsd: introduce the freebsd renderer (#61) [Gonéri Le Bouder]
    - cc_snappy: remove deprecated module (#127)
    - HACKING.rst: clarify that everyone needs to do the LP->GH dance (#130)
    - freebsd: cloudinit service requires devd (#132) [Gonéri Le Bouder]
    - cloud-init: fix capitalisation of SSH (#126)
    - doc: update cc_ssh clarify host and auth keys
      [Joshua Powers] (LP: #1827021)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 06 Jan 2020 09:52:22 -0700

cloud-init (19.4-1-g8c96cbc1-0ubuntu1) focal; urgency=medium

  * debian/cloud-init.templates: enable RbxCloud: HypeOne and Rootbox detection
    by default
  * New upstream snapshot.
    - ci: emit names of tests run in Travis (#120)
    - Release 19.4 (LP: #1856761)
    - rbxcloud: fix dsname in RbxCloud [Adam Dobrawy] (LP: #1855196)
    - tests: Add tests for value of dsname in datasources [Adam Dobrawy]
    - apport: Add RbxCloud ds [Adam Dobrawy]
    - docs: Updating index of datasources [Adam Dobrawy]
    - docs: Fix anchor of datasource_rbx [Adam Dobrawy]
    - settings: Add RbxCloud [Adam Dobrawy]
    - doc: specify _ over - in cloud config modules
      [Joshua Powers] (LP: #1293254)
    - tools: Detect python to use via env in migrate-lp-user-to-github
      [Adam Dobrawy]
    - Partially revert "fix unlocking method on FreeBSD" (#116)
    - tests: mock uid when running as root (#113)
      [Joshua Powers] (LP: #1856096)
    - cloudinit/netinfo: remove unused getgateway (#111)
    - docs: clear up apt config sections (#107) [Joshua Powers] (LP: #1832823)
    - doc: add kernel command line option to user data (#105)
      [Joshua Powers] (LP: #1846524)
    - config/cloud.cfg.d: update README [Joshua Powers] (LP: #1855006)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 18 Dec 2019 11:02:04 -0700

cloud-init (19.3-74-g129b1c4e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - azure: avoid re-running cloud-init when instance-id is byte-swapped
      (#84) [AOhassan]
    - fix unlocking method on FreeBSD [Igor Galić] (LP: #1854594)
    - debian: add reference to the manpages [Joshua Powers]
    - ds_identify: if /sys is not available use dmidecode (#42)
      [Igor Galić] (LP: #1852442)
    - docs: add cloud-id manpage [Joshua Powers]
    - docs: add cloud-init-per manpage [Joshua Powers]
    - docs: add cloud-init manpage [Joshua Powers]
    - docs: add additional details to per-instance/once [Joshua Powers]
    - Merge pull request #96 from fred-lefebvre/master [Joshua Powers]
    - Update doc-requirements.txt [Joshua Powers]
    - doc-requirements: add missing dep [Joshua Powers]
    - Merge pull request #95 from powersj/docs/bugs [Joshua Powers]
    - dhcp: Support RedHat dhcp rfc3442 lease format for option 121 (#76)
      [Eric Lafontaine] (LP: #1850642)
    - network_state: handle empty v1 config (#45) (LP: #1852496)
    - Merge pull request #94 from gaughen/patch-1 [Joshua Powers]
    - docs: fix line length and remove highlighting [Joshua Powers]
    - docs: Add security.md to readthedocs [Joshua Powers]
    - Multiple file fix for AuthorizedKeysFile config (#60) [Eduardo Otubo]
    - Merge pull request #88 from OddBloke/travis [Joshua Powers]
    - doc: update links on README.md [Joshua Powers]
    - doc: Updates to wording of README.md [Joshua Powers]
    - Add security.md [Joshua Powers]
    - setup.py: Amazon Linux sets libexec to /usr/libexec (#52)
      [Frederick Lefebvre]

 -- Chad Smith <chad.smith@canonical.com>  Thu, 12 Dec 2019 16:05:35 -0700

cloud-init (19.3-41-gc4735dd3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - Fix linting failure in test_url_helper (#83) [Eric Lafontaine]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 03 Dec 2019 14:46:25 -0700

cloud-init (19.3-40-gf69d33a7-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - url_helper: read_file_or_url should pass headers param into readurl
      (#66) (LP: #1854084)
    - lp-to-git-users: adding elafontaine (#74) [Eric Lafontaine]
    - lp-to-git-users: adding xiaofengw-vmware [Xiaofeng Wang]
    - dmidecode: log result *after* stripping [Igor Galić]
    - cloud_tests: add azure platform support to integration tests
      [ahosmanmsft]
    - set_passwords: support for FreeBSD (#46) [Igor Galić]
    - tools: migrate-lp-user-to-github removes repo_dir if created (#35)
    - Correct jumbled documentation for cc_set_hostname module (#64)
      [do3meli] (LP: #1853543)
    - FreeBSD: fix for get_linux_distro() and lru_cache (#59)
      [Igor Galić] (LP: #1815030)
    - lp-to-git-users: adding do3meli [Dominic Schlegel]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 02 Dec 2019 16:26:24 -0700

cloud-init (19.3-30-g4bc399e0-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - ec2: Add support for AWS IMDS v2 (session-oriented) (#55)
    - tests: Fix cloudsigma tests when no dmidecode data is present. (#57)
      [Scott Moser]
    - net: IPv6, accept_ra, slaac, stateless (#51)
      [Harald] (LP: #1806014, #1808647)
    - docs: Update the configdrive datasource links (#44)
      [Joshua Powers] (LP: #1852461)
    - lp-to-git-users: adding PengpengSun [Pengpeng Sun]
    - lp-to-git-users: adding trstringer [Thomas Stringer]
    - lp-to-git-users: adding hjensas [Harald Jensås]
    - distro: correctly set usr_lib_exec path for FreeBSD distro (#40)
      [Igor Galić] (LP: #1852491)
    - azure: support secondary ipv6 addresses (#33)
    - Fix metadata check when local-hostname is null (#32)
      [Mark Goddard] (LP: #1852100)
    - Merge pull request #38 from blackboxsw/cleanup/run-ci-on-pull-request
    - switch default FreeBSD salt minion pkg from py27 to py36
      [Dominic Schlegel]
    - lp-to-git-users: adding igalic [Igor Galić]
    - add data-server dns entry as new metadata server detection
      [Joshua Hügli]
    - lp-to-git-users: adding chrisglass [Chris Glass]
    - lp-to-git-users: adding larsks [Lars Kellogg-Stedman]
    - Merge pull request #31 from raharper/fix/pycodestyle-tip
    - reporting: Using a uuid to enforce uniqueness on the KVP keys. [momousta]
    - lp-to-git-users: adding paride [Paride Legovini]
    - lp-to-git-users: adding powersj [Joshua Powers]
    - lp-to-git-users: adding blackboxsw
    - lp-to-git-users: adding raharper
    - docs: touchups in rtd intro and README.md
    - doc: update launchpad git refs to github
    - tools: migrate script needs to write tools/.lp-to-git-user
    - github: drop pull-request template to prepare for migration
    - tools: add migrate-lp-user-to-github script to link LP to github
    - github: new basic project readme

 -- Chad Smith <chad.smith@canonical.com>  Fri, 22 Nov 2019 20:09:10 -0700

cloud-init (19.3-0ubuntu1) focal; urgency=medium

  * New upstream release.
    - Release 19.3 (LP: #1851428)
    - azure: support matching dhcp route-metrics for dual-stack ipv4 ipv6
      (LP: #1850308)
    - configdrive: fix subplatform config-drive for /config-drive source
      [David Kindred] (LP: #1849731)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 05 Nov 2019 14:50:06 -0700

cloud-init (19.2-78-ge8138959-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - DataSourceSmartOS: reconfigure network on each boot
      [Mike Gerdts] (LP: #1765801)
    - Add config for ssh-key import and consuming user-data [Pavel Zakharov]
    - net: fix subnet_is_ipv6() for stateless|stateful
      [Harald Jensås] (LP: #1848690)
    - OVF: disable custom script execution by default [Xiaofeng Wang]
    - cc_puppet: Implement csr_attributes.yaml support [Matthias Baur]
    - cloud-init.service: on centos/fedora/redhat wait on
      NetworkManager.service (LP: #1843334)
    - azure: Do not lock user on instance id change
      [Sam Eiderman] (LP: #1849677)
    - net/netplan: use ipv6-mtu key for specifying ipv6 mtu values
    - Fix usages of yaml, and move yaml_dump to safeyaml.dumps.
      [Scott Moser] (LP: #1849640)
    - exoscale: Increase url_max_wait to 120s. [Chris Glass]
    - net/sysconfig: fix available check on SUSE distros
      [Robert Schweikert] (LP: #1849378)
    - docs: Fix incorrect Azure IMDS IP address [Joshua Powers] (LP: #1849508)
    - introduce .travis.yml
    - net: enable infiniband support in eni and sysconfig renderers
      [Darren Birkett] (LP: #1847114)
    - guestcust_util: handle special characters in config file [Xiaofeng Wang]
    - fix some more typos in comments [Dominic Schlegel]
    - replace any deprecated log.warn with log.warning
      [Dominic Schlegel] (LP: #1508442)
    - net: handle openstack dhcpv6-stateless configuration
      [Harald Jensås] (LP: #1847517)
    - Add .venv/ to .gitignore [Dominic Schlegel]
    - Small typo fixes in code comments. [Dominic Schlegel]
    - cloud_test/lxd: Retry container delete a few times
    - Add Support for e24cloud to Ec2 datasource. [Scott Moser] (LP: #1696476)
    - Add RbxCloud datasource [Adam Dobrawy]
    - get_interfaces: don't exclude bridge and bond members (LP: #1846535)
    - Add support for Arch Linux in render-cloudcfg [Conrad Hoffmann]
    - util: json.dumps on python 2.7 will handle UnicodeDecodeError on binary
      (LP: #1801364)
    - debian/ubuntu: add missing word to netplan/ENI header (LP: #1845669)
    - ovf: do not generate random instance-id for IMC customization path
    - sysconfig: only write resolv.conf if network_state has DNS values
      (LP: #1843634)
    - sysconfig: use distro variant to check if available (LP: #1843584)
    - systemd/cloud-init.service.tmpl: start after wicked.service
      [Robert Schweikert]
    - docs: fix zstack documentation lints
    - analyze/show: remove trailing space in output
    - Add missing space in warning: "not avalid seed" [Brian Candler]
    - pylintrc: add 'enter_context' to generated-members list
    - Add datasource for ZStack platform. [Shixin Ruan] (LP: #1841181)
    - docs: organize TOC and update summary of project [Joshua Powers]
    - tools: make clean now cleans the dev directory, not the system
    - docs: create cli specific page [Joshua Powers]
    - docs: added output examples to analyze.rst [Joshua Powers]
    - docs: doc8 fixes for instancedata page [Joshua Powers]
    - docs: clean up formatting, organize boot page [Joshua Powers]

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 01 Nov 2019 11:01:15 -0500

cloud-init (19.2-36-g059d049c-0ubuntu3) eoan; urgency=medium

  * debian/cloud-init.config get_yaml_list should return only the value
    (LP: #1846511)

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 09 Oct 2019 16:32:17 -0500

cloud-init (19.2-36-g059d049c-0ubuntu2) eoan; urgency=medium

  * cherry-pick a7d8d032: get_interfaces: don't exclude bridge and bond
    members (LP: #1846535)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Fri, 04 Oct 2019 11:42:12 -0400

cloud-init (19.2-36-g059d049c-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - net: add is_master check for filtering device list (LP: #1844191)
    - docs: more complete list of availability [Joshua Powers]
    - docs: start FAQ page [Joshua Powers]
    - docs: cleanup output & order of datasource page [Joshua Powers]
    - Brightbox: restrict detection to require full domain match
      .brightbox.com [Scott Moser]
    - VMWware: add option into VMTools config to enable/disable custom script.
      [Xiaofeng Wang]
    - net,Oracle: Add support for netfailover detection
    - atomic_helper: add DEBUG logging to write_file (LP: #1843276)
    - doc: document doc, create makefile and tox target [Joshua Powers]
    - .gitignore: ignore files produced by package builds
    - docs: fix whitespace, spelling, and line length [Joshua Powers]
    - docs: remove unnecessary file in doc directory [Joshua Powers]

 -- Daniel Watkins <oddbloke@ubuntu.com>  Tue, 17 Sep 2019 12:12:27 +0200

cloud-init (19.2-24-ge7881d5c-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - Oracle: Render secondary vnic IP and MTU values only
    - exoscale: fix sysconfig cloud_config_modules overrides (LP: #1841454)
    - net/cmdline: refactor to allow multiple initramfs network config sources

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Aug 2019 14:44:36 -0600

cloud-init (19.2-21-ge6383719-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA
      (LP: #1840080)
    - Add missing #cloud-config comment on first example in documentation.
      [Florian Müller]
    - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula
      (LP: #1840080)
    - DataSourceOracle: prefer DS network config over initramfs
    - format.rst: add text/jinja2 to list of content types (+ cleanups)
    - Add GitHub pull request template to point people at hacking doc
    - cloudinit/distros/parsers/sys_conf: add docstring to SysConf
    - pyflakes: remove unused variable [Joshua Powers]

 -- Chad Smith <chad.smith@canonical.com>  Thu, 22 Aug 2019 11:15:08 -0600

cloud-init (19.2-13-g2f3bb764-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - Azure: Record boot timestamps, system information, and diagnostic events
      [Anh Vo]
    - DataSourceOracle: configure secondary NICs on Virtual Machines
    - distros: fix confusing variable names
    - azure/net: generate_fallback_nic emits network v2 config instead of v1

 -- Chad Smith <chad.smith@canonical.com>  Thu, 15 Aug 2019 09:42:20 -0600

cloud-init (19.2-9-g15584720-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - Add support for publishing host keys to GCE guest attributes
      [Rick Wright]
    - New data source for the Exoscale.com cloud platform [Chris Glass]
    - doc: remove intersphinx extension
    - cc_set_passwords: rewrite documentation (LP: #1838794)
  * d/cloud-init.templates: add Exoscale data source

 -- Daniel Watkins <oddbloke@ubuntu.com>  Fri, 09 Aug 2019 13:57:28 -0400

cloud-init (19.2-5-g496aaa94-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - net/cmdline: split interfaces_by_mac and init network config
      determination
    - stages: allow data sources to override network config source order
    - cloud_tests: updates and fixes
    - Fix bug rendering MTU on bond or vlan when input was netplan.
      [Scott Moser] (LP: #1836949)
    - net: update net sequence, include wait on netdevs, opensuse netrules
      path (LP: #1817368)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 06 Aug 2019 13:56:18 -0600

cloud-init (19.2-0ubuntu1) eoan; urgency=medium

  * New upstream release.
    - Release 19.2 (LP: #1836921)
    - net: add rfc3442 (classless static routes) to EphemeralDHCP
      (LP: #1821102)
    - templates/ntp.conf.debian.tmpl: fix missing newline for pools
      (LP: #1836598)
    - Support netplan renderer in Arch Linux [Conrad Hoffmann]
    - Fix typo in publicly viewable documentation. [David Medberry]
    - Add a cdrom size checker for OVF ds to ds-identify
      [Pengpeng Sun] (LP: #1806701)
    - VMWare: Trigger the post customization script via cc_scripts module.
      [Xiaofeng Wang] (LP: #1833192)
    - Cloud-init analyze module: Added ability to analyze boot events.
      [Sam Gilson]
    - Update debian eni network configuration location, retain Ubuntu setting
      [Janos Lenart]
    - net: skip bond interfaces in get_interfaces
      [Stanislav Makar] (LP: #1812857)
    - Fix a couple of issues raised by a coverity scan
    - Add missing dsname for Hetzner Cloud datasource [Markus Schade]
    - doc: indicate that netplan is default in Ubuntu now
    - azure: add region and AZ properties from imds compute location metadata
    - sysconfig: support more bonding options [Penghui Liao]
    - cloud-init-generator: use libexec path to ds-identify on redhat systems
      (LP: #1833264)
    - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]
    - Allow identification of OpenStack by Asset Tag
      [Mark T. Voelker] (LP: #1669875)
    - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]
    - run-container: centos: comment out the repo mirrorlist [Paride Legovini]
    - netplan: update netplan key mappings for gratuitous-arp (LP: #1827238)
    - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]
    - freebsd: ability to grow root file system [Gonéri Le Bouder]
    - freebsd: NoCloud data source support [Gonéri Le Bouder] (LP: #1645824)

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 17 Jul 2019 12:43:15 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog cloud-init-base`.
